/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 50 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 889 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    CF_SYM_KNOWN = 275,
    CF_SYM_UNDEFINED = 276,
    TEXT = 277,
    BYTESTRING = 278,
    PREFIX_DUMMY = 279,
    NMA = 280,
    DEFINE = 281,
    ON = 282,
    OFF = 283,
    YES = 284,
    NO = 285,
    S = 286,
    MS = 287,
    US = 288,
    PORT = 289,
    VPN = 290,
    MPLS = 291,
    FROM = 292,
    FLOW4 = 293,
    FLOW6 = 294,
    DST = 295,
    SRC = 296,
    PROTO = 297,
    NEXT = 298,
    HEADER = 299,
    DPORT = 300,
    SPORT = 301,
    ICMP = 302,
    TYPE = 303,
    CODE = 304,
    TCP = 305,
    FLAGS = 306,
    LENGTH = 307,
    DSCP = 308,
    DONT_FRAGMENT = 309,
    IS_FRAGMENT = 310,
    FIRST_FRAGMENT = 311,
    LAST_FRAGMENT = 312,
    FRAGMENT = 313,
    LABEL = 314,
    OFFSET = 315,
    QUIT = 316,
    EXIT = 317,
    HELP = 318,
    FUNCTION = 319,
    PRINT = 320,
    PRINTN = 321,
    UNSET = 322,
    RETURN = 323,
    ACCEPT = 324,
    REJECT = 325,
    ERROR = 326,
    INT = 327,
    BOOL = 328,
    IP = 329,
    PREFIX = 330,
    RD = 331,
    PAIR = 332,
    QUAD = 333,
    EC = 334,
    LC = 335,
    SET = 336,
    STRING = 337,
    BGPMASK = 338,
    BGPPATH = 339,
    CLIST = 340,
    ECLIST = 341,
    LCLIST = 342,
    IF = 343,
    THEN = 344,
    ELSE = 345,
    CASE = 346,
    TRUE = 347,
    FALSE = 348,
    RT = 349,
    RO = 350,
    UNKNOWN = 351,
    GENERIC = 352,
    GW = 353,
    NET = 354,
    MASK = 355,
    SOURCE = 356,
    SCOPE = 357,
    DEST = 358,
    IFNAME = 359,
    IFINDEX = 360,
    WEIGHT = 361,
    GW_MPLS = 362,
    PREFERENCE = 363,
    ROA_CHECK = 364,
    ASN = 365,
    IS_V4 = 366,
    IS_V6 = 367,
    LEN = 368,
    MAXLEN = 369,
    DATA = 370,
    DATA1 = 371,
    DATA2 = 372,
    DEFINED = 373,
    ADD = 374,
    DELETE = 375,
    CONTAINS = 376,
    RESET = 377,
    PREPEND = 378,
    FIRST = 379,
    LAST = 380,
    LAST_NONAGGREGATED = 381,
    MATCH = 382,
    MIN = 383,
    MAX = 384,
    EMPTY = 385,
    FILTER = 386,
    WHERE = 387,
    EVAL = 388,
    ATTRIBUTE = 389,
    BT_ASSERT = 390,
    BT_TEST_SUITE = 391,
    BT_CHECK_ASSIGN = 392,
    BT_TEST_SAME = 393,
    FORMAT = 394,
    ROUTER = 395,
    ID = 396,
    HOSTNAME = 397,
    PROTOCOL = 398,
    TEMPLATE = 399,
    DISABLED = 400,
    DEBUG = 401,
    ALL = 402,
    DIRECT = 403,
    INTERFACE = 404,
    IMPORT = 405,
    EXPORT = 406,
    NONE = 407,
    VRF = 408,
    DEFAULT = 409,
    TABLE = 410,
    STATES = 411,
    ROUTES = 412,
    FILTERS = 413,
    IPV4 = 414,
    IPV6 = 415,
    VPN4 = 416,
    VPN6 = 417,
    ROA4 = 418,
    ROA6 = 419,
    SADR = 420,
    RECEIVE = 421,
    LIMIT = 422,
    ACTION = 423,
    WARN = 424,
    BLOCK = 425,
    RESTART = 426,
    DISABLE = 427,
    KEEP = 428,
    FILTERED = 429,
    RPKI = 430,
    PASSWORD = 431,
    KEY = 432,
    PASSIVE = 433,
    TO = 434,
    EVENTS = 435,
    PACKETS = 436,
    PROTOCOLS = 437,
    CHANNELS = 438,
    INTERFACES = 439,
    ALGORITHM = 440,
    KEYED = 441,
    HMAC = 442,
    MD5 = 443,
    SHA1 = 444,
    SHA256 = 445,
    SHA384 = 446,
    SHA512 = 447,
    BLAKE2S128 = 448,
    BLAKE2S256 = 449,
    BLAKE2B256 = 450,
    BLAKE2B512 = 451,
    PRIMARY = 452,
    STATS = 453,
    COUNT = 454,
    BY = 455,
    FOR = 456,
    IN = 457,
    COMMANDS = 458,
    PREEXPORT = 459,
    NOEXPORT = 460,
    EXPORTED = 461,
    GENERATE = 462,
    BGP = 463,
    PASSWORDS = 464,
    DESCRIPTION = 465,
    RELOAD = 466,
    OUT = 467,
    MRTDUMP = 468,
    MESSAGES = 469,
    RESTRICT = 470,
    MEMORY = 471,
    IGP_METRIC = 472,
    CLASS = 473,
    TIMEFORMAT = 474,
    ISO = 475,
    SHORT = 476,
    LONG = 477,
    ROUTE = 478,
    BASE = 479,
    LOG = 480,
    GRACEFUL = 481,
    WAIT = 482,
    FLUSH = 483,
    AS = 484,
    IDLE = 485,
    RX = 486,
    TX = 487,
    INTERVAL = 488,
    MULTIPLIER = 489,
    CHECK = 490,
    LINK = 491,
    SORTED = 492,
    TRIE = 493,
    SETTLE = 494,
    TIME = 495,
    GC = 496,
    THRESHOLD = 497,
    PERIOD = 498,
    IPV4_MC = 499,
    IPV4_MPLS = 500,
    IPV6_MC = 501,
    IPV6_MPLS = 502,
    IPV6_SADR = 503,
    VPN4_MC = 504,
    VPN4_MPLS = 505,
    VPN6_MC = 506,
    VPN6_MPLS = 507,
    PRI = 508,
    SEC = 509,
    SHOW = 510,
    STATUS = 511,
    SUMMARY = 512,
    SYMBOLS = 513,
    DUMP = 514,
    RESOURCES = 515,
    SOCKETS = 516,
    NEIGHBORS = 517,
    ATTRIBUTES = 518,
    ECHO = 519,
    ENABLE = 520,
    BFD = 521,
    MULTIHOP = 522,
    NEIGHBOR = 523,
    DEV = 524,
    LOCAL = 525,
    AUTHENTICATION = 526,
    SIMPLE = 527,
    METICULOUS = 528,
    STRICT = 529,
    BIND = 530,
    SESSIONS = 531,
    BABEL = 532,
    METRIC = 533,
    RXCOST = 534,
    HELLO = 535,
    UPDATE = 536,
    WIRED = 537,
    WIRELESS = 538,
    BUFFER = 539,
    PRIORITY = 540,
    HOP = 541,
    BABEL_METRIC = 542,
    ENTRIES = 543,
    RANDOMIZE = 544,
    MAC = 545,
    PERMISSIVE = 546,
    HOLD = 547,
    CONNECT = 548,
    RETRY = 549,
    KEEPALIVE = 550,
    STARTUP = 551,
    VIA = 552,
    SELF = 553,
    PATH = 554,
    START = 555,
    DELAY = 556,
    FORGET = 557,
    AFTER = 558,
    BGP_PATH = 559,
    BGP_LOCAL_PREF = 560,
    BGP_MED = 561,
    BGP_ORIGIN = 562,
    BGP_NEXT_HOP = 563,
    BGP_ATOMIC_AGGR = 564,
    BGP_AGGREGATOR = 565,
    BGP_COMMUNITY = 566,
    BGP_EXT_COMMUNITY = 567,
    BGP_LARGE_COMMUNITY = 568,
    ADDRESS = 569,
    RR = 570,
    RS = 571,
    CLIENT = 572,
    CLUSTER = 573,
    AS4 = 574,
    ADVERTISE = 575,
    CAPABILITIES = 576,
    PREFER = 577,
    OLDER = 578,
    MISSING = 579,
    LLADDR = 580,
    DROP = 581,
    IGNORE = 582,
    REFRESH = 583,
    INTERPRET = 584,
    COMMUNITIES = 585,
    BGP_ORIGINATOR_ID = 586,
    BGP_CLUSTER_LIST = 587,
    IGP = 588,
    GATEWAY = 589,
    RECURSIVE = 590,
    MED = 591,
    TTL = 592,
    SECURITY = 593,
    DETERMINISTIC = 594,
    SECONDARY = 595,
    ALLOW = 596,
    PATHS = 597,
    AWARE = 598,
    EXTENDED = 599,
    SETKEY = 600,
    CONFEDERATION = 601,
    MEMBER = 602,
    MULTICAST = 603,
    LIVED = 604,
    STALE = 605,
    IBGP = 606,
    EBGP = 607,
    MANDATORY = 608,
    INTERNAL = 609,
    EXTERNAL = 610,
    SETS = 611,
    DYNAMIC = 612,
    RANGE = 613,
    NAME = 614,
    DIGITS = 615,
    BGP_AIGP = 616,
    AIGP = 617,
    ORIGINATE = 618,
    COST = 619,
    ENFORCE = 620,
    FREE = 621,
    VALIDATE = 622,
    CEASE = 623,
    HIT = 624,
    ADMINISTRATIVE = 625,
    SHUTDOWN = 626,
    PEER = 627,
    CONFIGURATION = 628,
    CHANGE = 629,
    DECONFIGURED = 630,
    CONNECTION = 631,
    REJECTED = 632,
    COLLISION = 633,
    OF = 634,
    MRT = 635,
    FILENAME = 636,
    ALWAYS = 637,
    OSPF = 638,
    V2 = 639,
    V3 = 640,
    OSPF_METRIC1 = 641,
    OSPF_METRIC2 = 642,
    OSPF_TAG = 643,
    OSPF_ROUTER_ID = 644,
    AREA = 645,
    RFC1583COMPAT = 646,
    STUB = 647,
    TICK = 648,
    COST2 = 649,
    RETRANSMIT = 650,
    TRANSMIT = 651,
    DEAD = 652,
    BROADCAST = 653,
    BCAST = 654,
    NONBROADCAST = 655,
    NBMA = 656,
    POINTOPOINT = 657,
    PTP = 658,
    POINTOMULTIPOINT = 659,
    PTMP = 660,
    CRYPTOGRAPHIC = 661,
    ELIGIBLE = 662,
    POLL = 663,
    NETWORKS = 664,
    HIDDEN = 665,
    VIRTUAL = 666,
    ONLY = 667,
    LARGE = 668,
    NORMAL = 669,
    STUBNET = 670,
    TAG = 671,
    LSADB = 672,
    ECMP = 673,
    NSSA = 674,
    TRANSLATOR = 675,
    STABILITY = 676,
    GLOBAL = 677,
    LSID = 678,
    INSTANCE = 679,
    REAL = 680,
    NETMASK = 681,
    MERGE = 682,
    LSA = 683,
    SUPPRESSION = 684,
    RFC5838 = 685,
    PE = 686,
    TOPOLOGY = 687,
    STATE = 688,
    PERF = 689,
    EXP = 690,
    REPEAT = 691,
    MODE = 692,
    PIPE = 693,
    RADV = 694,
    RA = 695,
    SOLICITED = 696,
    UNICAST = 697,
    MANAGED = 698,
    OTHER = 699,
    CONFIG = 700,
    LINGER = 701,
    MTU = 702,
    REACHABLE = 703,
    RETRANS = 704,
    TIMER = 705,
    CURRENT = 706,
    VALID = 707,
    PREFERRED = 708,
    MULT = 709,
    LIFETIME = 710,
    SKIP = 711,
    ONLINK = 712,
    AUTONOMOUS = 713,
    RDNSS = 714,
    DNSSL = 715,
    NS = 716,
    DOMAIN = 717,
    TRIGGER = 718,
    SENSITIVE = 719,
    LOW = 720,
    MEDIUM = 721,
    HIGH = 722,
    PROPAGATE = 723,
    RA_PREFERENCE = 724,
    RA_LIFETIME = 725,
    RIP = 726,
    NG = 727,
    INFINITY = 728,
    TIMEOUT = 729,
    GARBAGE = 730,
    VERSION = 731,
    SPLIT = 732,
    HORIZON = 733,
    POISON = 734,
    REVERSE = 735,
    ZERO = 736,
    PLAINTEXT = 737,
    DEMAND = 738,
    CIRCUIT = 739,
    RIP_METRIC = 740,
    RIP_TAG = 741,
    REMOTE = 742,
    BIRD = 743,
    PRIVATE = 744,
    PUBLIC = 745,
    SSH = 746,
    TRANSPORT = 747,
    USER = 748,
    EXPIRE = 749,
    STATIC = 750,
    PROHIBIT = 751,
    BLACKHOLE = 752,
    UNREACHABLE = 753,
    KERNEL = 754,
    NETLINK = 755,
    KRT_PREFSRC = 756,
    KRT_REALM = 757,
    KRT_SCOPE = 758,
    KRT_MTU = 759,
    KRT_WINDOW = 760,
    KRT_RTT = 761,
    KRT_RTTVAR = 762,
    KRT_SSTRESH = 763,
    KRT_CWND = 764,
    KRT_ADVMSS = 765,
    KRT_REORDERING = 766,
    KRT_HOPLIMIT = 767,
    KRT_INITCWND = 768,
    KRT_RTO_MIN = 769,
    KRT_INITRWND = 770,
    KRT_QUICKACK = 771,
    KRT_LOCK_MTU = 772,
    KRT_LOCK_WINDOW = 773,
    KRT_LOCK_RTT = 774,
    KRT_LOCK_RTTVAR = 775,
    KRT_LOCK_SSTRESH = 776,
    KRT_LOCK_CWND = 777,
    KRT_LOCK_ADVMSS = 778,
    KRT_LOCK_REORDERING = 779,
    KRT_LOCK_HOPLIMIT = 780,
    KRT_LOCK_RTO_MIN = 781,
    KRT_FEATURE_ECN = 782,
    KRT_FEATURE_ALLFRAG = 783,
    SYSLOG = 784,
    TRACE = 785,
    INFO = 786,
    WARNING = 787,
    AUTH = 788,
    FATAL = 789,
    BUG = 790,
    STDERR = 791,
    SOFT = 792,
    CONFIRM = 793,
    UNDO = 794,
    LATENCY = 795,
    WATCHDOG = 796,
    CONFIGURE = 797,
    DOWN = 798,
    PERSIST = 799,
    SCAN = 800,
    LEARN = 801,
    DEVICE = 802,
    KRT_SOURCE = 803,
    KRT_METRIC = 804
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 54 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;
  struct bytestring *bs;

#line 1523 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1540 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   7241

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  571
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  428
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1458
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2679

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   804

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    35,     2,     2,     2,    34,     2,     2,
     562,   563,    32,    30,   564,    31,    36,    33,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   567,   561,
      26,    25,    27,   570,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   568,     2,   569,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   565,     2,   566,    28,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      29,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   136,   136,   137,   140,   142,   145,   150,   153,   161,
     162,   163,   169,   170,   171,   174,   174,   179,   180,   181,
     182,   183,   184,   191,   192,   193,   200,   201,   208,   214,
     224,   237,   256,   262,   268,   276,   284,   290,   290,   291,
     291,   292,   292,   295,   296,   297,   298,   299,   300,   307,
     308,   316,   317,   325,   326,   334,   335,   343,   344,   345,
     346,   347,   357,   365,   366,   375,   383,   384,   391,   392,
      37,    38,    39,    40,    41,    42,    43,    44,    48,    49,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      65,    66,    67,    70,    71,    75,    79,    83,    84,    88,
      92,   101,   102,   106,   110,   114,   121,   122,   126,   127,
     128,   129,   133,   136,   139,   145,   149,   150,   151,   155,
     159,   165,   166,   167,   170,   172,   175,   177,   181,   188,
     189,   191,   197,   203,   203,     9,     9,    10,    10,    11,
      11,   317,   319,   319,   329,   331,   334,   335,   339,   341,
     352,   354,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   405,   407,
     414,   415,   422,   423,   429,   432,   436,   444,   451,   457,
     459,   459,   472,   473,   476,   484,   485,   499,   502,   511,
     512,   525,   526,   527,   528,   529,   533,   541,   542,   543,
     544,   548,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   565,   566,   567,   568,   572,   573,   574,   578,
     579,   580,   581,   582,   583,   584,   585,   590,   591,   592,
     593,   594,   598,   599,   600,   601,   602,   606,   607,   611,
     612,   616,   617,   618,   619,   627,   628,   631,   632,   640,
     650,   651,   655,   659,   660,   661,   665,   666,   667,   668,
     669,   673,   674,   675,   676,   677,   678,   679,   680,   685,
     686,   690,   691,   692,   693,   698,   699,   700,   703,   727,
     746,   747,   748,   749,   750,   751,   752,   753,   754,   755,
     756,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   778,   779,
     780,   782,   784,   786,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   815,   816,   817,   818,   819,   820,   821,   822,
     824,   825,   827,   831,   835,   836,   837,   840,   841,   842,
     851,   854,   857,   869,   873,   876,   881,   884,   887,   898,
     902,   905,   906,   910,   911,   912,   913,   914,   915,   916,
     920,   925,   926,   927,   928,   159,   162,   163,   167,   168,
     169,   170,   180,   182,   184,   186,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   209,   211,   213,   218,
     220,   224,   225,   230,   231,   232,   233,   236,   238,   241,
     243,   249,   252,   253,   257,   263,   267,   277,   287,   289,
     290,   291,   292,   293,   294,   295,   299,   305,   310,   311,
     312,   313,   314,   315,   316,   317,   322,   323,   326,   328,
     331,   333,   337,   344,   347,   350,   351,   352,   353,   357,
     358,   359,   360,   361,   365,   366,   370,   373,   374,   375,
     380,   383,   384,   385,   386,   390,   391,   392,   393,   394,
     395,   396,   397,   401,   408,   416,   417,   421,   422,   426,
     431,   432,   436,   438,   446,   450,   451,   456,   458,   465,
     466,   467,   468,   469,   473,   481,   487,   488,   489,   493,
     494,   498,   499,   500,   501,   502,   503,   509,   510,   511,
     515,   516,   520,   521,   527,   531,   532,   535,   537,   541,
     542,   545,   545,   548,   549,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   582,   590,
     591,   592,   593,   594,   595,   596,   599,   601,   605,   611,
     611,   614,   614,   617,   617,   620,   620,   624,   625,   628,
     628,   631,   631,   635,   635,   639,   645,   651,   657,   664,
     670,   677,   682,   687,   692,   697,   701,   705,   709,   719,
     726,   735,   739,   746,   750,   751,   752,   753,   757,   761,
     765,   779,   780,   781,   782,   785,   786,   787,   788,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   816,
     826,   826,   830,   833,   834,   835,   836,   837,   838,   843,
     843,   845,   845,   847,   847,   849,   849,   851,   851,   853,
     853,   855,   855,   857,   857,   859,   859,   862,   862,   866,
     866,   872,   873,   874,   878,   879,   885,   885,   887,   887,
     889,   889,   891,   891,   893,   893,   895,   895,   899,   899,
     903,   904,   908,   908,   911,   911,   915,   916,   917,   921,
     922,   923,   926,    35,    37,    47,    48,    49,    50,    51,
      52,    55,    57,    61,    65,    66,    67,    68,    72,    76,
      80,    94,   114,   115,   116,   117,   118,   119,   120,   121,
     125,   126,   127,   128,   129,   130,   133,   135,   138,   140,
     144,   147,   152,   153,   154,   158,   159,   163,   164,   167,
     186,   186,    32,    34,    42,    43,    44,    45,    48,    50,
      54,    58,    74,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   152,   154,   157,   159,   164,   166,   170,   170,
     173,   173,   176,   176,   179,   179,    47,    49,    80,    82,
      83,    86,    88,    89,    90,    91,    96,    97,   101,   102,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   118,
     119,   120,   121,   122,   126,   127,   133,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   198,   198,   199,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   217,   243,   244,
     245,   247,   247,   247,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   287,   299,   301,
     304,   306,   310,   317,   320,   322,   324,   326,   328,   330,
     332,   334,   336,   338,   340,   342,   344,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    57,    58,    59,    60,    61,    62,   211,   214,
     215,   216,   219,   235,   236,   240,   241,   245,   254,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   274,   289,   292,   294,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   307,   308,
     308,   309,   310,   311,   315,   316,   320,   328,   330,   334,
     335,   336,   340,   341,   344,   346,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   362,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   422,   424,   427,
     429,   437,   439,   440,   443,   445,   449,   450,   453,   463,
     485,   487,   491,   491,   494,   496,   499,   501,   505,   508,
     509,   510,   511,   514,   514,   517,   517,   520,   520,   525,
     525,   528,   528,   533,   533,   536,   536,   540,   540,   549,
     552,   553,   554,   555,   556,   557,   558,   559,    24,    26,
      40,    41,    42,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    23,    26,    25,    40,    41,    42,    43,
      44,    46,    58,    59,    60,    61,    62,    62,    63,    63,
      64,    65,    68,    70,    74,    78,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   116,   120,   121,
     122,   123,   124,   125,   125,   126,   126,   127,   128,   132,
     133,   134,   137,   175,   177,   180,   182,   186,   189,   201,
     202,   203,   204,   208,   215,   223,   225,   228,   230,   234,
     238,   248,   253,   254,   255,   259,   271,   273,   277,   278,
     282,   295,   300,   301,   302,   306,   318,   320,   324,   325,
     330,   331,   335,   336,   339,   340,    46,    49,    50,    53,
      67,    68,    69,    70,    71,    72,    75,    77,    81,    85,
     110,   140,   141,   142,   143,   144,   145,   146,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   173,   174,
     175,   176,   179,   181,   184,   186,   190,   193,   194,   198,
     198,   201,   201,    41,    43,    50,    52,    54,    58,    59,
      60,    61,    62,    63,    64,    70,    76,    82,    86,    87,
      90,    93,    97,   108,   109,   113,   120,   130,   132,   136,
     137,   138,   142,    54,    56,    63,    64,    65,    66,    67,
      75,    79,    84,    89,    92,    95,    99,   105,   106,   109,
     121,   122,   126,   131,   132,   133,   134,   135,   136,   140,
     149,   151,   154,   156,   160,   160,    23,    26,    27,    28,
      31,    32,    33,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    62,    63,    31,    33,
      35,    42,    43,    46,    48,    52,    62,    63,    67,    68,
      72,    73,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    89,    92,    93,   104,   107,   108,   109,   110,   118,
     118,   121,   121,   128,   128,   131,   131,   134,   134,   137,
     137,   140,   140,   145,   145,   150,   151,   155,   156,   157,
      41,    43,    48,    49,    52,    53,    57,    58,    59,    60,
      64,    71,    72,    83,    85,    88,    89,    92,    93,    94,
     101,   108,   111,   113,   116,   118,   122,   125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED",
  "TEXT", "BYTESTRING", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF",
  "YES", "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "FLOW4",
  "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT",
  "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT", "RO", "UNKNOWN",
  "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "PREFERENCE", "ROA_CHECK", "ASN",
  "IS_V4", "IS_V6", "LEN", "MAXLEN", "DATA", "DATA1", "DATA2", "DEFINED",
  "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST",
  "LAST_NONAGGREGATED", "MATCH", "MIN", "MAX", "EMPTY", "FILTER", "WHERE",
  "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN",
  "BT_TEST_SAME", "FORMAT", "ROUTER", "ID", "HOSTNAME", "PROTOCOL",
  "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT",
  "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE", "STATES", "ROUTES",
  "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6", "SADR",
  "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART", "DISABLE",
  "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED",
  "HMAC", "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "BLAKE2S128",
  "BLAKE2S256", "BLAKE2B256", "BLAKE2B512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "IN", "COMMANDS", "PREEXPORT", "NOEXPORT", "EXPORTED",
  "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD", "OUT",
  "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS",
  "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL",
  "WAIT", "FLUSH", "AS", "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER",
  "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC", "THRESHOLD",
  "PERIOD", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS", "IPV6_SADR",
  "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI", "SEC", "SHOW",
  "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS",
  "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MULTIHOP",
  "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS",
  "STRICT", "BIND", "SESSIONS", "BABEL", "METRIC", "RXCOST", "HELLO",
  "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP",
  "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "HOLD",
  "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF", "PATH",
  "START", "DELAY", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF",
  "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR",
  "BGP_AGGREGATOR", "BGP_COMMUNITY", "BGP_EXT_COMMUNITY",
  "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS",
  "AWARE", "EXTENDED", "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST",
  "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL",
  "SETS", "DYNAMIC", "RANGE", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "COST", "ENFORCE", "FREE", "VALIDATE", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION", "CHANGE",
  "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF", "MRT",
  "FILENAME", "ALWAYS", "OSPF", "V2", "V3", "OSPF_METRIC1", "OSPF_METRIC2",
  "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK",
  "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY",
  "STATE", "PERF", "EXP", "REPEAT", "MODE", "PIPE", "RADV", "RA",
  "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU",
  "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT",
  "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS",
  "DOMAIN", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE",
  "BIRD", "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'['", "']'", "'?'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip4",
  "net_ip6", "net_ip", "net_any", "net_or_ipa", "label_stack_start",
  "label_stack", "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_srcdst", "flow_num_opts", "flow_num_opt_ext_expr",
  "flow_num_opt_ext", "flow_bmk_opts", "flow_neg", "flow_frag_val",
  "flow_frag_opts", "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "cli_cmd", "cmd_QUIT",
  "cmd_EXIT", "cmd_HELP", "filter_def", "$@1", "filter_eval",
  "custom_attr", "bt_test_suite", "bt_test_same", "type", "function_argsn",
  "function_args", "function_vars", "filter_body", "filter",
  "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_proto", "$@3", "$@4", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_lladdr", "bgp_channel_item", "bgp_channel_opts",
  "bgp_channel_opt_list", "bgp_channel_end", "bgp_proto_channel",
  "mrt_proto_start", "mrt_proto_item", "mrt_proto_opts", "mrt_proto",
  "cmd_MRT_DUMP", "mrt_dump_args", "ospf_variant", "ospf_proto_start",
  "ospf_proto", "ospf_af_mc", "ospf_channel_start", "ospf_channel",
  "ospf_proto_item", "ospf_area_start", "ospf_area", "ospf_area_opts",
  "ospf_area_item", "$@5", "$@6", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@7", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@8", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@9", "$@10", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@11", "$@12", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    61,    60,    62,   126,   280,
      43,    45,    42,    47,    37,    33,    46,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,    59,    40,    41,    44,   123,   125,    58,    91,    93,
      63
};
# endif

#define YYPACT_NINF -2132

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2132)))

#define YYTABLE_NINF -872

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-872)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      84,  3346,   112,    94,   232,   384,   414,  5279,   699,   875,
     875,   791,   875,   444,   102,  3477,  1299,   205,   875,    56,
      76,   495, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132,   999, -2132, -2132, -2132,   999,   999,  5279,  3303,  -167,
     -45,   379,   957, -2132, -2132,   105, -2132,   429, -2132, -2132,
   -2132, -2132,   709,   830, -2132,   362,   -24, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,   448,
   -2132,   462,  3408, -2132, -2132, -2132,  1015,   816,  1015, -2132,
    1015, -2132,  1015,  6675,  1015, -2132,  1015,  2871,  1015,  3301,
     188,  2950,  1015, -2132,  1015, -2132,  1015, -2132,  1015,  2663,
    3030, -2132, -2132, -2132,  1015,  1015,  2022, -2132, -2132, -2132,
     131, -2132, -2132,   659,   748,  1034,   248, -2132,   673,   311,
    5279,   847, -2132,   266,   335, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,   325,   358,
     388,   409,   423,   441,   470, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  2846,   204,
     764,   872, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  3752, -2132,  1025, -2132, -2132,   244,  1071,   244,
   -2132,  1063,  1063,   875,   875,  1091,   258, -2132,  1096,   897,
     172,  1117, -2132,  1120, -2132,   843,   798,   632,   223,  1107,
     992,  1154,  1212,  1215,  1226,  1243,  1251,  1261,  1277, -2132,
   -2132,   400,  1268,  1063, -2132, -2132,  1201,  1295,  1201,  1303,
    1314,   836, -2132, -2132, -2132,  1328, -2132, -2132,  4054, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   886,  1344,  1347,   237, -2132, -2132,
     811,   244,   244,   314,   365, -2132,   258,   823, -2132, -2132,
   -2132, -2132,   224,   829,   251,  1221,   314,   314,   999, -2132,
     812, -2132, -2132, -2132, -2132, -2132, -2132,   767, -2132, -2132,
   -2132,   979, -2132, -2132, -2132, -2132, -2132,  1446,  1423,   909,
    1325,   508,   244, -2132,   346,   957,   258,  1241, -2132, -2132,
     930,   987,   934,   993,   991,  1004,  1011, -2132, -2132,   426,
    1253,  1019,  1515,   877,    91,   165,   182,   212,  1271,   957,
     508,  1227,  1412,  1367,   608,    86,    71,   197,  1216,  1351,
    1380,   360,  1390,  1342,  1370,  1371,   912,  1379,  1552,   508,
    1400,  1383,  1448,  1450,  1411,  1415,   837,   508,   255,  1388,
    1641,  1480, -2132,  1218, -2132,  1217,  1224,  1231,  1234,  1350,
    1625,   241,   508,  1658,   314,   508,  1667,  1444,   508, -2132,
    1457, -2132,   987, -2132,  1262,  1255, -2132,  1260,   508,  1136,
    1809,   229,  1811,  1097, -2132,  1266, -2132,  1267, -2132,   314,
    1119,  1208,  1812,  1657,  1614,  1672, -2132,  1279,  1280,  1278,
    1284,  1285,  1286,  1296,  1606,  1676, -2132,  1294,  1298,   361,
    1292,  1682,   314,  1512,  1701,  1624,   508,  1617,   508, -2132,
   -2132, -2132,  1311,  1312,  1310,  1313, -2132,  1629, -2132, -2132,
    1315,    60, -2132,   131,   131,  5279,   287,   131,   131,  1867,
   -2132,  1869, -2132,  1870,   659,  1853, -2132, -2132,  5279,  1858,
     368,  1859,  1857, -2132, -2132, -2132,  1812,  5279,  5279,  5279,
    5279,  5279,  5279, -2132, -2132,  1874, -2132,  1331,   174, -2132,
   -2132,  1853, -2132, -2132,  2253, -2132, -2132,   118, -2132,  1889,
   -2132, -2132, -2132, -2132,     6, -2132,   216,  1882,  1883, -2132,
    5279,  5279,  5279,  5279,  5279,  5279,  5279,  5279,  5279,  5279,
    5279,  5279,  5279,  5279,  4119,  3925, -2132, -2132,  1220, -2132,
   -2132, -2132, -2132,  1897,  1900,  1904,  1905, -2132, -2132, -2132,
     378,  1907, -2132, -2132, -2132,   972,  1908, -2132,  1910, -2132,
    4794, -2132,  1139,  1107,  1107,  1107,  1107,  1107, -2132,  1107,
    1107, -2132,   191,   217,  1914,  1107,  1107,  1916,  1920, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,   574, -2132, -2132,  1923,
    1925,   953,  1927, -2132,   836, -2132, -2132,   314,  1929,  5279,
    1372, -2132, -2132,  1374,  1369,  1375, -2132, -2132, -2132, -2132,
    5279,  1376, -2132, -2132, -2132, -2132, -2132,  5279, -2132, -2132,
   -2132, -2132, -2132,   314, -2132, -2132,  1384, -2132,   314,  1069,
   -2132,  1566, -2132,   314,  -127,   314,  1167, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,  1015, -2132, -2132,  1918, -2132,   241,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132,   508, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  1689,  1695,  1216, -2132,
    1392,   314,   314, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132,    85,  1393,  1397,   149,   312,   508,  1616,   508,  1731,
    1398,  1399,  1402, -2132,  1403, -2132, -2132, -2132,  1361,  1928,
     338,  1928,   208,   508,   314,  1712,  1714,   314,  1715,   508,
    1717,   508,  1818,   508,   508,  1410,   508,   508,   508,   508,
     508,   508,  1605,  1734,   508,  1414,   508,  1422,    57,  1736,
     508, -2132, -2132, -2132, -2132, -2132, -2132,   508,   419, -2132,
   -2132,   508, -2132,  1807,   314,   508, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   314,   314, -2132,  1971,  1972, -2132,
   -2132, -2132, -2132, -2132, -2132,  1968,  5279, -2132, -2132,   193,
    1804, -2132, -2132,   193, -2132, -2132, -2132,   193,   508,  1812,
   -2132, -2132, -2132, -2132, -2132, -2132,   748,  1034, -2132, -2132,
   -2132,   508,  1812, -2132, -2132, -2132,  1490, -2132,  1216, -2132,
   -2132, -2132,    92,  1683, -2132,  1429,   508, -2132,   508,   314,
    1697, -2132,   314, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
     314, -2132,  1979, -2132, -2132, -2132,   329, -2132, -2132,   393,
   -2132, -2132, -2132, -2132,  1961,  1995,   771,  4054, -2132,  1872,
    1983, -2132, -2132, -2132,   956,  1259,   609,   649,   732,   904,
    1300, -2132,  5279, -2132,  5279,  1451,    44,  1453,  1329, -2132,
   -2132,  2003,   392,   287, -2132,  1034, -2132,  1779,  1781,  4183,
    4183,  4183,  4297,  4297,  4183,  4183,  4183,  4183,  4183,   761,
     761,  1857,  1857, -2132, -2132, -2132, -2132, -2132,  1460, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,   687, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,   778, -2132, -2132,  2020,
   -2132, -2132, -2132,  1968,  2004, -2132,  1860,  1861,   350, -2132,
   -2132, -2132, -2132,  1416,  1296, -2132, -2132, -2132, -2132, -2132,
    2009, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  2027,  1063,
    1063,  1063,  1063,  1063,  1063,   995,  1107,  1063,  1107,  1063,
   -2132,  1063,  1063, -2132, -2132,   400, -2132, -2132, -2132, -2132,
    1968,  1327,   957, -2132, -2132,  2030, -2132, -2132,  2457,  1471,
   -2132,  2632, -2132, -2132, -2132,   957,  2019, -2132,  1481,  1394,
   -2132,  1473, -2132, -2132,  2021,  1487,  1492,   957, -2132,   957,
   -2132, -2132,   400,  1483,  1484, -2132, -2132, -2132,   782, -2132,
   -2132, -2132,  2016, -2132,  1486,  1498,   373, -2132,   927,  2458,
     314,   314,  1502, -2132,  1503,  1504,   508,   240, -2132, -2132,
    1866,  1816,   314,  1508,  1509,  1510,   508,  1517,   508, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132,   999, -2132,   314,
     314, -2132, -2132, -2132, -2132,   314,   314, -2132,  1518,  1526,
     314,   314,  1527,   314,  1528,   314,  1529,   241,  1535,  1537,
   -2132,  1548,  1550,  1553,  1556,  1558,  1562,   508,   125,  1563,
   -2132,  1564, -2132,   314,  1570,   508,  1572,  3609, -2132,  1688,
   -2132,   314, -2132, -2132, -2132,   314, -2132, -2132, -2132,  1646,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132,  4054, -2132,  1934,
   -2132,   508, -2132, -2132, -2132,  1573,  3271,  3509,  2841,  1574,
    1575, -2132,  1928,  2071,  2111,   314,   508,   508,    92,  5556,
   -2132, -2132,  1949, -2132,   314, -2132,  1486,  1579, -2132,   131,
   -2132,   131,  2119, -2132, -2132,  5279,  2107,  2108, -2132, -2132,
   -2132,  5279, -2132,  5279,  5279,  5279,  5279, -2132,  1017,   458,
    3489,  5279,  4023,  5279, -2132,  1581,  5279, -2132, -2132, -2132,
    2133,  2134,  5279,  1220, -2132,   378, -2132, -2132, -2132, -2132,
    2130,  2130, -2132, -2132,   659,   803,  1549, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  1025, -2132, -2132,  2148,
    2149,  2151,  2155,  2156,  2159, -2132, -2132,  2150,   241, -2132,
   -2132,   241, -2132,   241,  1063,  2160,  1063,  2161,  2164,  2165,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  3303, -2132,
    6110,   886,  1607,  1608,  1486, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132,   834, -2132, -2132,  1919,  1921,
     508,   508,  1373, -2132,  1615, -2132,  2158, -2132, -2132,   244,
   -2132, -2132,  1620, -2132, -2132, -2132,  1216,  1901, -2132, -2132,
    1622, -2132,  2037, -2132, -2132, -2132,  1628,  1626,  1630, -2132,
   -2132, -2132,  1632,   752, -2132,  1633,   434,   314,  1634, -2132,
   -2132, -2132,  1635, -2132,  1636,   563,  1643,   450, -2132,   586,
   -2132, -2132,   322, -2132, -2132, -2132, -2132,  1650,  1653, -2132,
    1656, -2132,  1660, -2132,  1661, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132,  1662, -2132,  1663, -2132, -2132,  1668, -2132,
    1671, -2132,  1902,  1863,  1862,  1655,  1868,  2052,  2038,  1899,
    2070,    -2,   508,  2183,   508,   461,   314,   508, -2132, -2132,
    1677,  1968,  1387,   314,   957,  2109, -2132, -2132, -2132,  1679,
   -2132, -2132, -2132,   711,   508, -2132,   275, -2132,  1994,  1361,
   -2132,   694, -2132,  1686, -2132,  1813,  1343, -2132, -2132, -2132,
    1440, -2132, -2132, -2132,  1440,  2081, -2132, -2132, -2132,  1690,
   -2132,   508,   314, -2132, -2132, -2132,  1692,   314,  2066,  2115,
    2066,  1557,     4,  2066, -2132, -2132, -2132,  1696, -2132, -2132,
   -2132, -2132,  2111, -2132, -2132,  2223, -2132, -2132, -2132,    12,
    5279,  5279,  1698,  5279, -2132, -2132, -2132,  5279,  5279,  2233,
    1699,  1702, -2132,  1704,  2237,  5279, -2132,   819, -2132,   314,
   -2132, -2132, -2132, -2132, -2132, -2132,  2241,  4054,  2245, -2132,
    1174,  1386,  1159,  1532,  1580,  1592,  1638,  5279, -2132,  5279,
     986,    20,  4054,  1713,  1066,    35,  1718,  2263,  1329, -2132,
   -2132,  1670, -2132, -2132,  1025, -2132, -2132,  2261,   659,  1853,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
    2278, -2132,  2283, -2132, -2132, -2132,   886,  1721, -2132,  6110,
   -2132,  1728, -2132,  2281, -2132,  2047,  2048, -2132, -2132,   314,
     314, -2132,  1377,  1428, -2132, -2132, -2132, -2132,   898, -2132,
   -2132,  1739, -2132,   260, -2132,   508, -2132, -2132, -2132,  2167,
   -2132,   314, -2132, -2132,  2138,  1930, -2132,    -1,  1931,  1936,
    1245,   850, -2132, -2132,  1761,  1767,  1768, -2132, -2132, -2132,
    1401,   508, -2132,  2087,   314,   314, -2132,  1770, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132,   536,   271,   508,   508,   151,  1812,   508,   840,  1812,
   -2132, -2132, -2132,  2035, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132,  2023, -2132, -2132, -2132,   314,
     314,   508, -2132,  1769,   314, -2132,  1771,   241, -2132, -2132,
    1772,   314, -2132, -2132,   314,  1774, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132,  1784, -2132, -2132, -2132,   148,     7, -2132,
     508, -2132, -2132, -2132,  2157, -2132, -2132, -2132, -2132,   314,
    2287,   314, -2132, -2132, -2132,  2307, -2132, -2132, -2132,   314,
   -2132,  2223,  2338,  5279,  1171,  1793,  1794,  4091,  2492,  3253,
     162,  5279, -2132, -2132, -2132,  5279,  1803,  5279,  1345, -2132,
    -176,  2359,  2344, -2132, -2132, -2132, -2132,  2321, -2132, -2132,
    1613,  2316, -2132, -2132, -2132, -2132, -2132, -2132,   127,  2342,
    2342,   651,  1819, -2132,   127,  2342,  2342,  1440,  1820,  5279,
   -2132, -2132, -2132, -2132,  1700,  1742, -2132,  2347,  5279, -2132,
    4337, -2132,  2353,  5279,  2379,  4651,  4965,  1827, -2132, -2132,
   -2132, -2132,   917, -2132, -2132, -2132,  1831,   314,   314, -2132,
   -2132,   659,  1853, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  1739, -2132, -2132,   999,   957,  2116, -2132,  1833,
     508,  1835,  2024,  2128, -2132, -2132, -2132, -2132, -2132, -2132,
     752, -2132, -2132, -2132, -2132,  2170,  2171, -2132,  2178, -2132,
   -2132, -2132,   710,   710,  1216, -2132, -2132, -2132, -2132, -2132,
    2218,  2172, -2132, -2132, -2132, -2132, -2132, -2132, -2132,   508,
     508,  1486,  1836, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  1837, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  1878,   314, -2132,   508,
   -2132, -2132, -2132,  1879, -2132, -2132,  2529,  5279, -2132, -2132,
    1864, -2132,  5833, -2132,  2572,  5279,  6356,  2630, -2132,  2659,
    1893,  1894,  1896,  1865,  1898,  1216, -2132,  1903, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  2417,   314,  1664, -2132,  1895, -2132,    59,   314,
    1649,    99, -2132, -2132, -2132, -2132,  1664,    59,    99,  2354,
   -2132,  1970, -2132, -2132,  1909,  1911,  1129,    38,  1912,  1156,
    1915,  1913,    43,  1917,    52, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  1395, -2132, -2132, -2132,  1216,  2184, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132,   314,   314,   314, -2132, -2132,
   -2132, -2132, -2132, -2132,   508,   314, -2132, -2132,  1813, -2132,
   -2132,    96,   101,   -28,  2518,   753, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  1933,  6110,
    2327, -2132,    87, -2132,  4054, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  5279,  5279,  5279, -2132,  5279, -2132, -2132,   314,
   -2132, -2132,   314,  1366,   314, -2132,  2342,  2342,  2428, -2132,
   -2132, -2132, -2132, -2132,  2342,  2342,  2448, -2132, -2132, -2132,
   -2132,  2438,  5279, -2132, -2132, -2132,  2439,  5279, -2132,  5279,
    2466, -2132,  5279, -2132, -2132,  1479, -2132, -2132,   508,  1926,
    2235,   314,   314,   861, -2132, -2132, -2132, -2132,  1152,  1932,
    1935, -2132,   508, -2132,  1659, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  3873, -2132, -2132, -2132,   267, -2132,   508,   314,
     508, -2132,  1937,   314,   299,   314,   314,  2180,   135, -2132,
   -2132,  1945,  2013,  2029,   508,   508,   508, -2132,  1948,  3191,
   -2132,   416,   452,  2748, -2132,   323, -2132,  1946,  5833,  6110,
   -2132, -2132,  2253, -2132, -2132,  2506, -2132, -2132, -2132, -2132,
     539,  1951,  1952,  2074,  2282,  2315,  2380, -2132,  1895,   314,
   -2132,   314,   314,   314,  1649,  1649, -2132,  1963,  1964,  1966,
    1967,  1969,  1953,  1980,  2286,  2290, -2132,  1561,  2298, -2132,
   -2132, -2132,  1565, -2132,  2349, -2132, -2132, -2132,  1337, -2132,
   -2132, -2132,   314,  2247,  1497,   314,  2254,   351,  2301,   342,
     314,  2306,  2308, -2132, -2132,  1992,  1242,   314,  2268,   809,
    2317,  2127,  2002,   508,   464,  2168,   314,   314,  2236,   314,
     508,   314,  2275,   305,    88,   314,  2472,  2181, -2132, -2132,
    2031, -2132,   314,  2032, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   314,   314, -2132, -2132,   314,   314,
   -2132, -2132, -2132, -2132,   110,   -78,  2140,   -25,   -20,  2152,
    2162,   508,  2163,  2355,  2146,  2314,  2331,  2335, -2132,  2056,
     281,  1216, -2132,  2060,   281,  2601, -2132,  2063,   314,   508,
    2332,   860,  -113,   508,    34,   314,  2375,  1216,  2285,  2392,
    2527,   386,  2394,  2395,   313,  2175,  2174,  2153, -2132, -2132,
    2086,  2173,  2154,   957, -2132,  2088, -2132, -2132, -2132,  2409,
     161,   210,  6110,  2112,  5279,  2114,  2117,  2120,  2122, -2132,
    2639,  2643, -2132, -2132, -2132, -2132, -2132, -2132,  5279, -2132,
    5279, -2132,   314,   314,  2131,  2132,   314, -2132, -2132,  1595,
    2655,   288,   314,  2655,  1341,   326,  2135, -2132,  1631, -2132,
   -2132, -2132,   314,   314,   314,   314,   314, -2132,   508, -2132,
    2378, -2132,   314,   314, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,    19,   314,   314, -2132,   508,  2256,
   -2132, -2132, -2132, -2132, -2132,   508, -2132, -2132,   839, -2132,
   -2132, -2132,   314,   314, -2132,   508,   508, -2132,   314,   508,
   -2132, -2132, -2132, -2132, -2132,  2219,  2219,  2447, -2132,   314,
    2455,  2456,   976,   314,   976,  2451,   314,   314,  2250, -2132,
     508,   314,   314,  2526,   508,   148,   508,     7, -2132,   314,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132,   314,   314,   314, -2132,   508,   508, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   314, -2132,   870,   314,   314, -2132,
   -2132,   314,   314,   508, -2132,   508,   508,   508, -2132,  2519,
    2520, -2132, -2132, -2132, -2132,  5279, -2132, -2132, -2132, -2132,
    2421, -2132, -2132, -2132, -2132,   314,   314,  2169,  2145, -2132,
   -2132, -2132,  1561, -2132, -2132, -2132, -2132,  2176,  2655,  2655,
    2179,  2182,  1396,  1488, -2132, -2132, -2132, -2132,  2185,  2655,
    2655, -2132,  1216,  1216, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,   508,
     142, -2132,  2288, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
     508, -2132, -2132,   314, -2132,   314,   314, -2132, -2132, -2132,
   -2132,  2219, -2132,   314,  2219, -2132,   508, -2132, -2132, -2132,
     314, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,  2291, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,   957,   957,  2409,  2186, -2132, -2132, -2132,  5279,
   -2132,  1337,  2187,  2190,  1337,  1337, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  1337,  2191,  2192, -2132,
   -2132, -2132, -2132, -2132,  2313, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
    2177, -2132,  1337,  1337, -2132, -2132, -2132,  1337,  1337, -2132,
    2193,  5279, -2132, -2132, -2132, -2132, -2132,  2194, -2132
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     3,   135,   137,   139,   559,   561,   563,   565,
     569,   571,   573,   630,   639,   641,   643,   645,   647,   649,
     651,   653,   655,   657,   659,   666,   668,   670,   672,   674,
     676,   678,   682,   684,   740,   778,   780,   782,   784,   950,
    1093,  1095,  1097,  1099,  1101,  1103,  1105,  1107,  1279,  1281,
    1344,  1409,  1411,  1413,  1415,  1417,  1419,  1421,  1423,     1,
       2,     0,   395,   393,   394,     0,     0,     0,     0,     0,
       0,     0,     0,   412,   413,     0,   386,   387,   389,   390,
     391,   392,     0,     0,  1379,     0,     0,     6,     5,     7,
     141,   144,   146,   148,   150,   179,   375,   382,   384,     0,
     396,   399,     0,   456,   460,   411,   414,   418,   414,   693,
     414,   742,   414,   418,   414,   937,   414,   418,   414,   418,
       0,   418,   414,  1140,   414,  1226,   414,  1283,   414,   418,
     418,  1378,  1401,  1404,   414,   414,   418,   136,   138,   140,
     260,   261,   270,   189,   190,   266,   279,   264,     0,     0,
       0,     0,   280,     0,     0,   283,   262,   263,   281,   282,
     284,   285,   286,   287,   288,   289,   290,   311,     0,     0,
       0,     0,     0,     0,     0,   692,   777,   925,   928,   927,
     924,   926,   929,   930,   931,   934,   936,   932,   933,   935,
    1089,  1090,  1091,  1092,  1224,  1225,  1277,  1278,  1350,  1351,
    1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1368,  1369,  1370,  1371,
    1372,  1373,  1374,  1375,  1376,  1377,  1457,  1458,     0,     0,
      37,    38,    47,    39,    40,    41,    42,    48,    43,    44,
      45,   267,   133,   134,    46,   265,   274,   309,   310,   343,
     308,   312,     0,   313,   686,   688,   687,     0,     0,     0,
     686,    69,    69,     0,     0,     0,     0,   685,     0,   690,
       0,     0,   575,     0,   632,     0,     0,   568,     0,   568,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   662,
     661,     0,   664,    69,   952,  1426,  1425,     0,  1425,     0,
       0,  1427,  1422,    16,    15,     0,   180,   142,   145,   152,
     153,   154,   156,   155,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,     0,     0,     0,     0,    67,    66,
       0,     0,     0,     0,    22,   388,     0,     0,   462,   461,
     463,   464,     0,     0,     0,     0,     0,     0,     0,   400,
     409,   488,  1284,   787,   694,   743,   938,   959,  1119,  1134,
    1141,  1227,  1314,  1431,  1444,   962,  1229,     0,   415,     0,
       0,    22,     0,   494,     0,     0,     0,     0,   487,   426,
       0,   440,     0,     0,     0,     0,     0,   885,   886,     0,
       0,     0,     0,     0,   875,   876,     0,     0,     0,     0,
      22,     0,     0,     0,     0,    22,     0,   791,   788,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,    22,     0,     0,
       0,     0,   786,     0,   887,   920,     0,     0,     0,     0,
       0,     0,    22,     0,     0,    22,     0,     0,    22,   958,
     965,   969,   440,   970,     0,     0,   983,     0,    22,     0,
       0,     0,     0,     0,  1118,     0,  1123,     0,  1136,     0,
       0,     0,     0,     0,     0,     0,  1133,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1313,     0,     0,  1333,
    1342,     0,     0,     0,     0,     0,    22,     0,    22,  1430,
    1436,  1437,     0,     0,     0,     0,  1450,     0,  1443,  1447,
       0,   260,   279,   260,   260,     0,     0,   260,   260,     0,
     250,     0,    29,     0,     0,     0,    32,    33,   275,     0,
       0,     0,   306,    36,   128,   128,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   215,     0,     0,   191,
     194,   190,   193,   196,     0,    37,    38,   241,   192,   230,
     227,   228,   229,   237,     0,   245,     0,     0,     0,   658,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   497,   496,     0,   681,
     679,   680,    68,     0,     0,     0,     0,   673,   508,   507,
       0,     0,  1424,   689,   691,   690,     0,   570,     0,   562,
       0,   560,     0,   568,   568,   568,   568,   568,   567,   568,
     568,  1109,   568,   568,     0,   568,   568,     0,     0,   652,
     644,   654,   646,   640,   642,   648,   650,  1397,  1392,  1395,
    1393,  1394,  1396,  1398,  1399,  1400,     0,  1390,   665,     0,
       0,     0,     0,  1418,  1427,  1414,  1416,  1428,     0,     0,
       0,   172,   167,     0,     0,     0,   378,   380,   381,   483,
       0,     0,   383,   457,   458,     9,    11,     0,   459,    18,
      20,    19,    21,     0,    17,  1405,     0,  1403,   465,     0,
     473,  1382,  1387,  1383,     0,     0,     0,  1408,  1407,   398,
     407,   397,   960,   961,   414,  1228,   416,     0,   489,     0,
     419,   420,   474,   425,   424,   423,   421,    22,   490,   438,
     442,   491,   492,   701,   748,   809,     0,     0,     0,   825,
       0,     0,     0,   879,   877,   880,   878,   881,   883,   882,
     884,     0,     0,     0,     0,    22,    22,     0,    22,     0,
       0,     0,     0,   826,     0,    23,    24,    25,     0,    26,
       0,    26,     0,    22,     0,     0,     0,     0,     0,    22,
       0,    22,     0,    22,    22,     0,    22,    22,    22,    22,
      22,    22,     0,     0,    22,     0,    22,     0,     0,     0,
      22,   810,   918,   922,   811,   947,   963,    22,    22,   984,
     971,    22,   981,   978,     0,    22,   972,   966,   967,   442,
     964,   986,  1120,  1130,     0,     0,  1129,     0,     0,  1126,
    1131,  1132,  1122,  1121,   433,   172,     0,   447,   448,     0,
       0,   446,   428,     0,   429,   444,   427,     0,    22,     0,
    1137,  1138,  1152,  1236,  1286,  1315,     0,     0,    56,    55,
    1329,    22,     0,  1316,  1317,  1335,     0,  1334,     0,  1338,
    1336,  1337,  1327,  1330,  1340,     0,    22,  1348,    22,     0,
       0,  1438,     0,  1440,  1346,  1433,  1432,  1445,   474,  1448,
       0,  1446,     0,   253,   258,   256,     0,   189,   190,     0,
     257,   259,   252,    28,    30,     0,     0,   276,   332,     0,
       0,   333,   129,   130,     0,     0,     0,     0,     0,     0,
       0,   214,     0,   291,     0,     0,     0,     0,   201,   242,
     243,     0,     0,     0,   268,     0,   269,     0,     0,   303,
     301,   299,   296,   297,   298,   300,   302,   304,   305,   292,
     293,   294,   295,   322,   321,   315,   316,   317,     0,   320,
     314,   318,   319,   327,   328,   329,   324,   325,   326,   330,
     331,   626,   624,   625,   609,   612,   616,   619,   622,   623,
     610,   611,   613,   614,   615,   617,   618,   620,   621,   627,
     628,   629,   501,   502,   503,   505,   506,   504,     0,   499,
     671,   667,   675,   677,   512,   513,     0,   510,   683,     0,
     564,   572,   574,   172,     0,   585,     0,   606,     0,   587,
     586,   591,   592,     0,     0,   605,   607,   608,   576,   584,
       0,   631,   634,   635,   636,   637,   633,   638,     0,    69,
      69,    69,    69,    69,    69,     0,   568,    69,   568,    69,
    1094,    69,    69,  1345,   656,     0,   663,   660,   669,   951,
     172,     0,     0,   956,  1420,     0,  1429,  1410,     0,   168,
     172,     0,   143,   174,   147,     0,     0,   474,     0,     0,
     376,     0,  1406,  1402,     0,   467,   470,     0,  1386,     0,
    1385,  1388,     0,     0,     0,    12,    13,    14,     0,  1135,
     417,   422,   477,   480,   495,     0,     0,   443,   418,   418,
       0,     0,     0,   817,     0,     0,    22,    22,   853,   855,
       0,     0,     0,     0,     0,     0,    22,     0,    22,   870,
     869,   556,   872,   827,    54,    53,   791,     0,   791,     0,
       0,   794,   795,   814,   788,     0,     0,   812,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,     0,     0,    22,     0,     0,
     854,     0,   821,     0,     0,    22,     0,     0,   923,   418,
     973,     0,   976,   975,   974,     0,   982,   980,   968,     0,
    1127,  1128,  1124,  1125,   175,   176,   445,   177,   455,   449,
     431,    22,   432,   430,   435,     0,   418,   418,   418,     0,
       0,  1322,    26,  1331,     0,     0,    22,    22,  1328,     0,
    1320,  1441,  1434,  1347,     0,  1439,   482,  1454,  1449,   260,
     251,   260,     0,    30,   278,     0,     0,     0,   124,   126,
     340,     0,   307,     0,     0,     0,     0,   342,     0,     0,
       0,     0,     0,     0,   195,     0,     0,   231,   238,   246,
       0,     0,     0,     0,   498,     0,   509,   566,   583,   590,
       0,     0,   579,   580,   603,   604,     0,   600,   601,   602,
     596,   594,   595,   577,   593,   578,   588,   589,   741,     0,
       0,     0,     0,     0,     0,  1108,  1117,     0,     0,  1112,
    1115,     0,  1110,     0,    69,     0,    69,     0,     0,     0,
    1391,   955,   954,   953,   957,  1412,     8,   170,     0,   181,
     182,     0,     0,     0,   484,   377,   379,    10,   466,   468,
     469,   471,   472,  1381,  1384,     0,  1380,   385,     0,     0,
      22,    22,     0,   410,     0,   478,    69,   474,   493,     0,
     441,   436,     0,   708,   710,   710,     0,     0,   703,   695,
       0,   751,     0,   750,   744,   745,     0,     0,     0,   839,
     838,   837,     0,     0,   796,     0,    22,     0,     0,   862,
     861,   868,     0,   849,     0,     0,     0,     0,    27,     0,
     792,   793,     0,   789,   790,   830,   823,     0,     0,   843,
       0,   832,     0,   819,     0,   820,   851,   835,   856,   834,
     833,   867,   836,     0,   857,     0,   859,   822,     0,   828,
       0,   831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    22,     0,    22,    22,     0,    22,   921,   894,
       0,   172,     0,     0,     0,     0,   949,   943,   939,     0,
     977,   979,  1079,     0,    22,   999,    22,   997,     0,     0,
     989,    22,   985,     0,  1003,  1080,     0,   454,   434,  1139,
       0,  1155,  1146,  1148,     0,     0,  1154,  1142,  1143,     0,
    1239,    22,     0,  1238,  1230,  1231,     0,     0,  1298,     0,
    1298,     0,     0,  1298,  1285,  1288,  1289,     0,  1292,  1318,
    1319,  1321,     0,    62,    63,  1323,  1325,  1326,  1324,     0,
     347,   347,     0,     0,   344,   345,   346,     0,     0,     0,
       0,     0,  1343,     0,     0,   347,  1339,     0,  1341,     0,
    1442,  1349,  1452,  1456,   254,   255,     0,   277,     0,   334,
       0,     0,     0,     0,     0,     0,     0,     0,   271,     0,
       0,     0,   201,     0,     0,     0,     0,     0,     0,    34,
      35,     0,   500,   511,     0,   581,   582,     0,   597,   598,
     785,   779,   781,   783,  1098,  1096,  1113,  1116,  1111,  1114,
       0,  1100,     0,  1104,  1280,  1282,     0,     0,   185,   183,
     184,     0,   149,     0,  1389,     0,     0,   401,   402,     0,
       0,   408,   475,     0,   479,   481,   437,   439,   696,   474,
     697,   728,   698,   732,   699,    22,   702,   474,   746,     0,
     749,     0,   844,   846,     0,     0,   800,     0,     0,     0,
       0,     0,   798,   847,     0,     0,     0,   863,   848,   850,
       0,    22,   555,     0,     0,     0,   558,     0,   873,   816,
     815,   813,   842,   841,   824,   840,   818,   860,   858,   829,
     874,     0,    22,    22,    22,     0,     0,    22,     0,     0,
     900,   901,   902,     0,   898,   914,   913,   915,   903,   919,
     942,   941,   940,   945,   944,     0,   948,   474,  1002,     0,
       0,    22,   990,     0,     0,   988,     0,     0,  1006,  1001,
    1005,     0,   995,   987,     0,  1013,   450,   451,   452,   453,
      52,    51,  1188,  1197,  1145,   474,  1144,     0,     0,  1150,
      22,  1153,   474,  1235,  1232,  1234,  1237,  1300,  1299,     0,
       0,     0,    25,  1302,  1301,  1290,  1305,  1306,  1293,     0,
    1287,  1332,     0,     0,   348,     0,     0,     0,     0,     0,
       0,     0,   370,   370,   361,     0,     0,     0,     0,  1435,
       0,     0,     0,    82,    93,    94,    80,     0,    83,    84,
       0,     0,    87,    88,    92,    89,   131,    90,     0,   106,
     106,     0,     0,   132,     0,   106,   106,     0,     0,     0,
     337,   338,   336,   339,     0,     0,   210,     0,     0,   208,
       0,   204,     0,     0,   202,     0,     0,     0,   323,   599,
    1102,  1106,     0,   178,   186,   173,     0,     0,     0,   405,
     406,    59,    60,    61,    57,    58,   476,   706,   704,   705,
     707,   709,   728,   726,   711,     0,     0,   735,   700,   774,
      22,     0,     0,     0,   804,   802,   803,   806,   805,   807,
       0,   797,   865,   864,   866,     0,     0,   554,     0,   549,
     553,   557,    22,    22,     0,   908,   909,   910,   911,   912,
       0,     0,   917,   904,   891,   892,   893,   899,   916,    22,
      22,  1082,  1086,   992,   993,   991,  1067,   994,  1067,  1027,
    1007,   996,  1081,  1014,  1195,  1194,  1185,  1201,  1200,  1208,
    1147,  1210,  1211,  1218,  1149,  1151,  1274,     0,  1295,    22,
    1294,  1291,  1303,     0,  1296,    64,     0,   347,   359,   360,
       0,   353,     0,   247,     0,     0,     0,     0,   358,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,    31,   335,
      81,    85,    86,    91,    76,    74,    72,    71,    73,    75,
      70,    77,    99,     0,   116,   101,    97,   107,   117,     0,
       0,   118,    50,    49,   115,   125,   121,   122,   123,   119,
     127,     0,   272,   273,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   244,   169,   171,   151,   403,
     404,   711,     0,   731,   733,   734,     0,   737,   772,   752,
     747,   845,   801,   808,   799,     0,     0,     0,   889,   890,
     888,   897,   896,   895,    22,     0,   907,   946,  1080,  1084,
    1088,     0,     0,     0,  1016,     0,  1199,  1183,  1182,  1206,
    1216,  1272,  1240,  1233,  1297,  1307,   352,   349,     0,   182,
     350,   187,     0,   356,   370,   371,   372,   373,   370,   374,
     355,   354,     0,     0,     0,   363,     0,  1451,  1453,     0,
      95,    79,    78,     0,     0,    78,   106,   106,     0,   108,
     109,   110,   111,   112,   106,   106,     0,   341,   225,   209,
     207,     0,     0,   205,   223,   203,     0,     0,   221,     0,
     219,   218,     0,   216,   730,     0,   521,   522,    22,     0,
       0,     0,     0,     0,   729,   719,   514,   516,     0,   548,
       0,   736,    22,   739,   753,   776,   550,   551,   552,   905,
     906,  1083,     0,  1000,  1070,  1068,  1071,   998,    22,     0,
      22,  1004,     0,     0,     0,     0,     0,     0,     0,  1012,
    1026,     0,     0,     0,    22,    22,    22,  1198,     0,     0,
    1187,  1202,  1212,     0,  1276,     0,   357,     0,     0,   182,
     197,   200,     0,   362,   199,   235,   232,   233,   234,   239,
       0,     0,     0,     0,     0,     0,     0,   100,    98,     0,
     102,     0,     0,     0,     0,     0,   120,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   717,   517,     0,   712,
     716,   720,     0,   721,     0,   718,   524,   523,   525,   520,
     727,   738,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   775,   771,     0,     0,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,     0,     0,     0,
      22,     0,     0,     0,     0,     0,     0,     0,  1087,  1066,
       0,  1072,     0,     0,  1010,  1011,  1009,  1008,  1020,  1023,
    1024,  1025,  1017,  1018,     0,     0,  1021,  1015,     0,     0,
    1189,  1190,  1191,  1196,     0,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,  1173,  1175,  1186,     0,
       0,     0,  1205,     0,     0,     0,  1215,     0,     0,    22,
       0,     0,     0,    22,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1275,  1267,
       0,     0,     0,     0,  1312,     0,   188,   351,   249,   201,
       0,     0,   182,     0,     0,     0,     0,     0,     0,    96,
       0,     0,   103,   114,   113,   224,   206,   222,     0,   220,
       0,   217,     0,     0,     0,     0,     0,   722,   723,     0,
       0,     0,     0,     0,     0,     0,     0,   754,     0,   757,
     758,   756,     0,     0,     0,     0,     0,   763,    22,   768,
     769,   755,     0,     0,   773,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1032,     0,     0,     0,  1060,    22,     0,
    1074,  1065,  1054,  1055,  1056,    22,  1029,  1047,    22,  1028,
    1049,  1031,     0,     0,  1033,    22,    22,  1030,     0,    22,
    1085,  1073,  1069,  1019,  1022,  1222,  1222,     0,  1172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1160,
      22,     0,     0,     0,    22,     0,    22,     0,  1184,     0,
    1220,  1204,  1203,  1209,  1207,  1214,  1213,  1219,  1217,  1246,
    1244,     0,     0,     0,  1260,    22,    22,  1265,  1268,  1271,
    1270,  1269,  1266,  1241,     0,  1245,    22,     0,     0,  1242,
    1243,     0,     0,    22,  1247,    22,    22,    22,  1273,     0,
       0,  1311,  1304,  1308,   198,     0,   236,   240,   248,   368,
       0,   365,   366,   364,   367,     0,     0,     0,     0,   713,
     714,   515,   517,   715,   724,   725,    65,     0,     0,     0,
       0,     0,     0,     0,   544,   545,   546,   547,     0,     0,
       0,   548,     0,     0,   761,   762,   486,   485,   764,   765,
     770,   759,   760,  1058,  1057,  1059,  1062,  1061,  1050,    22,
       0,  1048,     0,  1063,  1046,  1034,  1045,  1044,  1051,  1043,
      22,  1192,  1193,     0,  1158,     0,     0,  1179,  1180,  1181,
    1168,  1222,  1169,     0,  1222,  1162,    22,  1161,  1163,  1164,
       0,  1177,  1174,  1178,  1176,  1221,  1258,  1259,  1261,  1264,
    1251,  1253,     0,  1262,  1256,  1257,  1254,  1255,  1248,  1249,
    1250,  1252,     0,     0,     0,     0,   105,   104,   211,     0,
     518,   525,     0,     0,   525,   525,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   525,     0,     0,   519,
     766,   767,  1052,  1053,  1076,  1075,  1064,  1223,  1170,  1156,
    1157,  1166,  1171,  1167,  1159,  1165,  1263,  1310,  1309,   369,
       0,   530,   525,   525,   532,   531,   533,   525,   525,  1077,
       0,     0,   528,   529,   526,   527,  1078,     0,   226
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2132, -2132, -2132, -2132, -2132,  -331,  -355,   -68,  1409,  -413,
    -685, -2132,  -149,  -162,  1691,  1703,  1706, -2132, -2132, -2132,
    -245, -2132, -2132,  -434, -2132, -1421,  -752,  -557, -2132, -2132,
    1223, -1523,  -102,  -275,   669,  -813, -2132,  1193,  1194,  1204,
    1210,   968,   689,   692,  1001,  -984,  -391,   998, -2132, -2132,
   -2132, -2132,  2242, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  -831, -2132,
   -2132, -2132,  2118,  -807,  -610,  1722, -2132, -2132, -1777,  1199,
   -2132,   633,  -247,  1875,   463, -1206, -1896,  2556, -1834, -1765,
    1873,   465,  2269, -2132,  1877, -2132, -2132, -2132, -2132,  -485,
   -2132, -2132, -2132, -1208,  -137, -1210,    -6, -2132, -1406, -1204,
   -1481, -2132, -2132,  -455, -2132, -2132,   395, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   -70,  -109, -2132,  2666,  1621, -2132,
    2339,  1981,  -106,  -551,  -480, -2132,   -86, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,  1461,  -723,  -362, -2132, -2132, -2131,
   -2132, -2132, -2132, -2132, -2132,  -269, -2132,  1551,    75, -2132,
    1554, -1065, -2132,   301, -2100, -2132, -2132,  -879, -2132,   284,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132,  -210, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  -669, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,   990,  2201, -1221, -2132, -2132, -2132, -2132, -2132,
   -2132,  1463,   831, -2132, -2132, -2132,   988, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,  1685,
     370, -2132, -2132,   971, -2132, -2132, -2132, -2132, -2132,   967,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132,   943, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132,   814, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132,   399, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132,   560,   545, -2132, -2132, -2132, -2132,   394,
     542, -2132, -2132, -2132, -2132,   391,   546, -1616, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132,  -386,  1110, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132,  1974, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132,  1750,  1795, -2132, -2132, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132,  1195,  2195, -2132, -2132, -2132,
   -2132, -2132, -2132, -2132, -2132, -2132, -2132, -2132
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,   108,   109,   704,   717,   388,  2020,  1908,
    1148,   542,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,  1974,  1722,  2134,   870,  1836,  1514,
    1515,  2527,   350,   613,  1963,  2073,  1787,  1788,  1789,  1790,
    1791,  1964,  1965,  1966,  1968,  1969,  2083,  1971,  1792,  1798,
    1550,  1551,   922,  1248,  1249,   262,   263,   264,    22,    23,
      24,    25,   110,   681,   111,   112,   113,   114,   344,  1328,
    1080,  1081,  1205,  1206,   851,  1083,   115,   680,  1597,  1598,
    1599,  2050,   265,   579,  2175,   936,   580,   937,   581,   582,
     583,  2179,   584,  2180,   585,   586,  2052,   538,   266,   539,
     267,   268,   916,   269,   270,   271,  1562,  1535,  1755,  1600,
    1935,  2058,   116,   691,   117,   118,   399,   120,   121,   370,
    1354,  1108,   721,   122,   389,   400,   401,  1361,  1362,  1116,
     740,  1117,   402,   856,   852,  1477,  1210,   123,   362,   363,
     124,  1112,  1614,  1356,  1113,  1236,  1237,  1087,  1088,  2387,
     125,   126,   127,   732,   403,   609,  1008,  1009,   621,  1016,
    1017,  2115,  2116,  2364,  2117,  2118,  2119,  2376,  2538,  2219,
    1657,  1395,  1142,    26,    27,    28,    29,   644,    30,    31,
      32,   630,  1293,  1294,  1040,  1001,   277,    33,   632,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     312,   669,    45,    46,    47,    48,    49,    50,    51,   278,
      52,    53,   279,   626,   273,   128,  1370,  1118,   129,  1841,
    1618,  1619,  2003,  2120,  2215,  2002,  1844,  1620,  1622,  1847,
    2007,  2123,  1624,    54,   130,  1376,  1119,   131,  1627,  2125,
    2235,  2124,  2009,  1628,    55,    56,    57,    58,   132,   782,
     780,  1385,  1641,  1642,   133,   772,  1396,   454,   455,  2021,
    1887,  1450,  1187,   813,  1188,   456,   134,  1459,  1189,   135,
      59,   671,   385,   136,   137,   828,   472,   473,   474,   475,
     476,  1199,  1473,  1706,  1703,  1709,  1710,  2033,  2142,  1474,
    2034,  2151,  1475,  2260,  2031,  2135,  2136,  2263,  2560,  2670,
    2645,  1697,  1715,  1892,  2028,  2132,  2030,  1698,    60,    61,
      62,    63,    64,    65,    66,    67,  1055,   138,   139,   487,
     140,   724,   141,   142,  1489,  1727,  1728,  1216,   143,  1725,
    2299,  2455,  2457,  2580,  2160,  2159,  2038,  1726,  1723,  2158,
    2036,  2035,  1905,  1724,  1909,  2039,  2303,  2463,  2161,  1910,
    1913,  2040,  2307,  2467,  2162,  1914,  2461,  2571,   386,   144,
    1496,  1217,   145,  1732,  2164,  2330,  2482,  2163,  2042,  1733,
      68,    69,   146,   147,  1218,  1507,  1739,  1508,  1745,  1748,
    1922,  1923,  2165,  2335,  2502,   148,   149,   882,   883,   509,
     510,  1538,  1229,   885,    70,   150,   522,   364,   151,  1098,
    1100,   714,  1103,   666,   667,   152,   153,    71,    72,    73,
      74,    75,    76,    77,    78,   321,   678,   154,  1540,   523,
     155,   156,   530,   898,  1947,  1770,  1543,   899
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     357,   272,   578,   547,   577,   924,   819,   614,  1537,  1114,
     611,   854,   718,   325,   779,   781,   546,   326,   327,  1534,
    1039,  1533,   698,   540,   453,  1536,  1146,  1808,   471,  1911,
     485,  1101,   497,   486,   695,   716,   716,  1753,   670,   696,
     507,   520,  1813,   508,   521,  2092,   903,   529,   904,   905,
    2099,  1261,   910,   911,  1561,  1563,  1565,  1566,   404,  2102,
     405,  1073,   406,  1729,   457,  1746,   458,   902,   477,   869,
    2071,  2075,   499,  1038,   500,   531,   501,   348,   502,   349,
     532,   328,   693,   694,   524,   525,   695,   576,     1,   647,
     533,   696,   534,  2169,  2442,   774,  1154,    80,   315,  2444,
     575,   695,  2170,  2171,   907,   908,   696,  2365,  2407,  1537,
    2071,  2075,    79,   544,   545,  1756,  1144,   807,   544,   545,
    1534,  1144,  1533,   731,   699,   700,   701,   702,   545,  1766,
    1720,    81,  1854,   822,  2475,  1954,  1955,  1956,   753,  1224,
     695,    82,   695,    83,    84,   696,   531,   696,   939,   940,
     695,   532,  1957,  1958,  1959,   696,  2176,  1680,   844,   775,
     776,   533,   777,   534,   552,   775,   776,  1126,   777,    85,
     590,   591,   592,   593,   594,   627,  2170,  2171,   907,   908,
    2474,   887,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   869,  2478,   604,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   695,  1225,
     604,   638,   755,   696,   775,   776,  1278,   777,  2177,   569,
     570,   163,   571,   572,   573,  2170,  2171,   907,   908,   757,
    1960,  1961,  1208,  2479,  2439,   157,    86,   638,    87,    88,
    2138,    89,   568,    90,   309,    91,   708,    92,    93,    94,
    1331,    95,   686,  1155,   687,   695,   686,   688,   687,   759,
     696,   688,   713,  1321,    96,    97,    98,    99,   100,   101,
     695,   348,  2167,   349,  1111,   696,   683,   837,   699,   700,
     701,   702,  1936,   606,   288,   689,   695,  2178,  1945,   578,
     695,   696,   734,   735,  1845,   696,   695,   618,   351,   352,
     719,   696,   569,   570,   907,   908,   572,   573,  1215,   699,
     700,   701,   702,   699,   700,   701,   702,   762,   102,   353,
     695,  1220,   316,   770,   103,   696,   314,   695,   695,   695,
     104,   105,   696,   696,   696,  1122,  2528,   590,   591,   592,
     593,   594,   550,   317,  1681,  2275,  1076,  2139,  1092,  1056,
     699,   700,   701,   702,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   310,  1334,   604,   348,  1155,   349,  1226,
    1282,  1297,   716,  2440,  2539,  1058,  1979,  1094,  1537,  2476,
     695,  1855,  1099,  1149,  1104,   696,  1130,   158,  1880,  1534,
    1946,  1533,  2338,  2140,   540,   345,   540,   540,   119,   919,
     540,   540,   607,   699,   700,   701,   702,   569,   570,   907,
     908,   572,   573,  2425,  2383,  2384,   619,   159,   645,   838,
    1124,  1125,  2365,  1048,  1049,  1050,  1051,  1052,  1183,  1053,
    1054,   706,  1057,  1059,   695,  1061,  1062,  2445,  1102,   696,
     628,  2443,   875,  2553,  2554,  2176,  2446,   287,  1156,   695,
     754,  2480,   551,  1159,   696,   709,  1162,   699,   700,   701,
     702,   366,  2269,  1222,  1127,  1223,   590,   591,   592,   593,
     594,   736,   699,   700,   701,   702,   695,  1295,  2529,  1200,
    1201,   696,   657,   595,   596,   597,   598,   599,   600,   601,
     602,   603,   489,  1196,   604,  1149,   646,  1596,   322,   699,
     700,   701,   702,   716,   716,  2389,  1747,  2177,  1283,   920,
    1131,   733,  1881,  1875,  1876,  2423,  2540,   346,  1209,   367,
    1323,  2047,  1209,   695,   756,  2426,  1209,  2481,   696,   906,
    1359,   347,   470,  1145,   490,   491,  1930,  1511,  2141,   492,
    1846,   758,   917,   703,   365,  1014,   699,   700,   701,   702,
     493,   925,   926,   927,   928,   929,   930,   658,  1233,   494,
    1227,  1235,  1156,  1132,  1047,  2508,   778,  2437,   938,  1238,
     943,   760,  1912,  2181,   548,   944,  2178,  2182,  1150,  1457,
    2385,   697,  2270,  1809,   949,   950,   951,   952,   953,   954,
     955,   956,   957,   958,   959,   960,   961,   962,  1814,  1815,
     869,  2093,  1985,  1015,  1987,   355,  2100,  1989,  1262,  1992,
    1994,  1575,  1576,   806,   368,  2103,   576,   590,   591,   592,
     593,   594,   535,  2076,   318,   319,   320,  2412,   536,   575,
     537,  1149,   773,   697,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  2390,  1690,   604,   106,  2386,   697,  2172,
    1704,  -871,   638,  2173,  1109,   107,   354,   590,   591,   592,
     593,   594,  2133,  2084,   746,   785,  1133,  2137,   544,   876,
    1191,  1972,   786,  1078,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   941,  1089,   604,  1424,   697,  2261,   697,
    1150,  1091,   541,   535,  2262,   578,   578,   697,   877,   536,
     577,   537,  1650,  1151,  1152,   547,  1184,   878,  2643,   695,
     369,  1537,  1414,  1907,   696,  2059,  2271,  1708,   546,   274,
    1872,   275,  1534,  2505,  1533,   695,  2057,  1933,  2051,   348,
     696,   349,   699,   700,   701,   702,  2493,   933,   934,   747,
     590,   591,   592,   593,   594,  2489,  2459,  2413,   699,   700,
     701,   702,  1651,   488,  1544,   697,  1545,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   574,  1212,   604,  1157,
     311,  1213,  2172,  1192,  1299,  1300,  1301,  1302,  1303,  1304,
     945,   543,  1315,   576,  1317,   946,  1318,  1319,  1644,  1377,
    1378,   711,   639,   602,   603,  2490,   575,   604,   712,   690,
    1652,  1388,   697,   690,  1653,  1383,  1970,  1654,  1655,   608,
     548,   280,  1970,   275,   549,  1151,  1152,   697,  1400,  1401,
    2572,  2331,  2332,   620,  1403,  1404,  1150,  2333,  1537,  1407,
    1408,   554,  1410,   697,  1412,  1685,   543,   697,  1634,  1534,
    1207,  1533,   767,   697,  1767,  1873,  1314,  1425,  1316,   574,
    2531,  1577,  1428,  1587,   695,  1768,  1588,   276,  1589,   696,
    1460,  1874,   553,    82,  1461,    83,    84,   697,   879,   880,
     881,  1289,  2405,  2384,   697,   697,   697,   699,   700,   701,
     702,  2414,  2300,  1661,  1288,   695,  2198,   556,  2301,  2334,
     696,  2200,  1240,  2201,  1516,   280,  2203,   275,   659,  1153,
     555,  1692,   356,  1541,   587,   640,   323,   324,   699,   700,
     701,   702,   590,   591,   592,   593,   594,   623,  2304,   624,
     557,  1348,  1349,  2472,  2384,  2305,  1258,   697,  1259,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   768,  1360,
     604,   660,   661,   662,   663,   664,   665,  1537,  1537,   276,
     558,  1151,  1152,  1623,  1266,   854,  1069,   943,  1534,  1534,
    1533,  1533,  1241,   769,  2051,  2651,   634,   390,  2653,  2150,
    1324,   559,   391,   392,  1891,  1635,   393,   348,   682,   349,
     394,   697,  2302,  1332,   358,   560,    96,    97,    98,    99,
     100,   101,   623,   635,   624,  1343,   697,  1344,  1305,   281,
     282,   285,   286,   561,   283,  2622,  2623,  1363,   313,  1369,
    1374,  1659,   588,  1375,   284,  1306,  2637,  2638,  2306,   323,
     324,  1558,  1559,   697,  2211,   590,   591,   592,   593,   594,
    1350,  1351,   562,   276,  1352,   323,   324,   395,  2385,  1590,
     396,  1592,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   544,   545,   604,  1307,   625,  1646,  1837,  2212,  2234,
     641,   605,   397,   387,   359,   360,   361,  2259,  1838,  1839,
     697,   636,  2018,  2019,   610,   642,   643,   802,   390,  1398,
    1458,  1613,  2562,   391,   392,   612,  1699,  1364,  1743,  2385,
    1616,   394,  2191,  2192,   617,  1070,   846,   637,  2329,   622,
    2194,  2195,   540,  2341,   540,  2406,  2342,  1487,  1494,  1505,
    1488,  1495,  1506,  2602,  1741,  1687,  1700,  1749,   803,  1071,
     629,  1537,  1693,   631,   547,  1882,  1711,   638,  1888,  1656,
     633,  1636,  1534,  1637,  1533,  1638,  1639,   546,  1065,  1640,
    1066,  1701,  1041,  1072,  2213,  2214,  1308,  1660,   395,  1884,
     648,   396,  2517,   804,  2518,  2077,  2473,   649,  2085,   323,
     324,  1735,   722,   723,  2077,  2085,  1737,   590,   591,   592,
     593,   594,   348,  1253,   349,  2216,  1840,  1885,  1886,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   751,   752,   604,   595,   596,   597,   598,
     599,   600,   601,   602,   603,  1365,  1366,   604,  1769,  1105,
    1106,  1107,  1367,  1254,  1042,   650,  2152,  2153,   651,  1773,
    2154,  2155,  2156,   315,  1145,  1774,  1775,  1776,  1777,   652,
    1778,  1779,  1780,   775,   776,  1781,   777,  1782,  1783,  1547,
     791,   792,  1309,  1784,  1785,  1552,   653,  1553,  1554,  1555,
    1556,  1273,  1899,  1274,   654,  1830,   697,  1842,   840,   841,
    1568,   845,   846,  1601,   655,  1849,  1571,   590,   591,   592,
     593,   594,   697,   615,   616,   834,   835,   847,  1829,   716,
     656,  1043,   848,   668,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  1044,  1045,   604,  1255,   849,   673,  1869,
    1851,  1095,  1096,   850,  1310,  1046,   675,   576,   590,   591,
     592,   593,   594,   544,   866,   867,   868,   676,  1721,  2157,
     575,   677,  1721,   716,  1870,   595,   596,   597,   598,   599,
     600,   601,   602,   603,  1244,  1245,   604,   590,   591,   592,
     593,   594,  1275,   171,  1276,   173,   174,   855,  1353,  1322,
     845,   846,  1694,   679,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  1906,   684,   604,   847,   685,  1893,  1894,
    1916,   848,   692,  1897,  1954,  1955,  1956,   720,   544,   545,
    1901,  1144,   398,  1902,   707,  2370,   853,  1002,  1003,  1004,
     710,  1957,  1958,  1959,   -68,   -68,  1311,   -68,  1065,  1744,
    1604,   697,   590,   591,   592,   593,   594,   855,  1918,  1691,
    1920,  1005,  1006,  2660,  1860,  1007,  1861,  2371,  1924,   595,
     596,   597,   598,   599,   600,   601,   602,   603,  1312,  1313,
     604,  1773,   697,  1284,  1285,  1286,  1287,  1774,  1775,  1776,
    1777,   300,  1778,  1779,  1780,  1831,  1832,  1781,  1833,  1782,
    1783,  1835,  2577,  2578,  2579,  1784,  1785,  1962,   545,   715,
    1720,  2023,   725,  1962,  1834,  2677,   726,   301,  1256,  1960,
    1961,   727,  1999,  2000,   728,  1940,  1941,   729,  1996,  1942,
    1997,   590,   591,   592,   593,   594,  1943,  1944,   737,  2372,
     302,   738,   303,  1368,   304,   741,   716,   716,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   775,   776,   604,
     777,   672,  1221,   674,  1754,  1754,  1397,  1758,  1399,  1250,
    1251,  1759,  1760,  1716,  1717,  1718,  1719,  2373,  1822,  1754,
    1339,  1340,  2067,  2374,  2105,  1341,  1342,   750,  2532,  2533,
     590,   591,   592,   593,   594,  2534,  2535,  2536,  2537,  1806,
    1807,  1804,   739,  1805,   742,  2375,   743,   595,   596,   597,
     598,   599,   600,   601,   602,   603,  1578,  1579,   604,   744,
     305,   306,   307,   308,   775,   776,   745,  1742,   748,   349,
     749,  1557,  2106,  2107,  2108,   761,  2043,   764,   590,   591,
     592,   593,   594,  2121,   765,  2626,  2627,  2628,  2629,  2630,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   766,  2109,   604,   595,   596,   597,
     598,   599,   600,   601,   602,   603,  1609,  1610,   604,  1811,
    1812,   784,  2070,  1858,  1859,  1721,  2110,   783,  2078,  2111,
    2112,   787,  1973,  1865,  1866,   788,   590,   591,   592,   593,
     594,  2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,   789,
    2126,  2127,  2128,   595,   596,   597,   598,   599,   600,   601,
     602,   603,  1951,  1952,   604,  2071,  2072,  2113,   590,   591,
     592,   593,   594,   790,   716,   716,   716,  2631,  2632,  2633,
    2634,  2635,  2090,  2091,  2130,   595,   596,   597,   598,   599,
     600,   601,   602,   603,  2222,   794,   604,   793,   590,   591,
     592,   593,   594,  2223,  2079,  2080,  2081,  2082,  2224,  2095,
    2096,  2204,  2205,  1799,   797,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   796,  1927,   604,   798,  2187,   799,
    1786,  1962,  2661,  1962,  2005,  2664,  2665,  1926,  2106,  2107,
     590,   591,   592,   593,   594,  1934,  2209,  2666,   808,  1937,
     800,  1939,   801,   705,  2367,  2368,   810,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   809,  2004,   604,   811,
     716,  2210,   812,  2672,  2673,   814,  1145,  1145,  2674,  2675,
    2379,  2380,   817,  1981,  2524,  2525,   815,   845,   846,   816,
     730,  2542,  2543,  2353,  2354,  2174,  1462,   818,  2265,   821,
     825,  1463,  2268,   847,  2272,  2273,   827,  2276,   848,   824,
     831,  1674,  1252,   830,   836,   832,   839,   842,   843,   763,
    1451,   846,   855,   853,   771,   857,   858,  2225,   859,   390,
     860,   861,   872,   862,   391,   392,  2106,  2107,   795,   863,
     864,   865,   394,   871,  1452,   873,   805,   884,  2349,   874,
    2350,  2351,  2352,  1257,   886,   888,   890,   889,   892,   576,
     576,   820,   894,   895,   823,   896,   901,   826,   897,  2109,
     900,   912,   575,   575,   913,   914,   915,   833,   918,   931,
     921,  2377,  1264,   604,  2381,   932,   942,   947,   948,  2391,
    1010,  2226,  2227,  1011,  2485,  2228,  2403,  1012,  1013,   395,
    1018,  1020,   396,  1021,  1464,  2416,  2417,  1060,  2419,  1063,
    2421,  1754,  2424,  1064,  2427,   891,  1067,   893,  1068,  2054,
    1074,  2431,  1077,  1085,  1079,  1084,  1097,  1090,  1110,  1086,
    1120,  2229,  1453,  2433,  2434,  1093,  1121,  2435,  2436,  2230,
    2231,  2232,  1793,  1123,  1128,  1136,  1138,  1336,  1129,  1139,
    1140,  2114,  1147,  1160,  1143,  1161,  1163,  1141,  1165,  2460,
    1167,  1170,  1177,  2460,  1178,  1180,  1185,  2469,   590,   591,
     592,   593,   594,  1182,  2483,  1195,  1202,  1203,  1204,  1211,
    1230,   876,  1234,  2494,  1239,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   845,   846,   604,  2519,  2520,  1242,
    1243,  2523,  1465,  1246,  1247,  1260,  2217,  1263,  1265,  1270,
     847,  1271,  1272,  1277,  1279,   848,  1280,  1281,  1673,  1296,
    1298,   716,   716,  1325,  1327,   716,  1337,  2551,  2552,  1333,
     849,  2530,  1335,  1338,  1346,  1347,   850,  1355,  1386,  1466,
    1357,  2544,  2545,  2546,  2547,  2548,  2183,  2184,  2185,  1358,
    2186,   716,   716,  1379,  1380,  1381,  1467,  1387,  1468,  1389,
    1390,  1391,  1469,  2555,  2556,  2557,  1470,  1471,  1393,  1405,
    1454,  1455,   590,   591,   592,   593,   594,  1406,  1409,  1411,
    1413,  2564,  2565,  2174,  2174,  1800,  1415,  2568,  1416,   595,
     596,   597,   598,   599,   600,   601,   602,   603,  2574,  1417,
     604,  1418,  2581,  1476,  1419,  2584,  2585,  1420,  1512,  1421,
    2588,  2589,  1721,  1422,  1426,  1427,  1513,  1539,  2595,  2640,
    2641,  1429,  2604,  1431,  1479,  1509,  1510,  1546,  1548,  1549,
    2596,  2597,  2598,  1801,  1542,  1567,  1115,  2644,  1569,  1570,
    1574,  1580,  1581,  2601,  1582,  1802,   716,  2605,  1583,  1584,
    2606,  2607,  1585,  1591,  1593,  1586,  2339,  1594,  1595,  1605,
    1602,  1606,  1603,   390,  1134,  1135,  1611,  1137,   391,   392,
    1612,  1617,   526,  1626,  2616,  2617,   394,  1625,  1629,  1630,
    1631,  1632,  1158,  1633,  1643,  1647,  1648,  1649,  1164,  1671,
    1166,  1803,  1168,  1169,  1658,  1171,  1172,  1173,  1174,  1175,
    1176,  1662,  1472,  1179,  1663,  1181,  1672,  1664,  1676,  1186,
    1677,  1665,  1666,  1667,  1668,  2233,  1190,  1193,  1675,  1669,
    1194,  2501,  1670,  1818,  1197,  1678,  1679,  1683,  1689,  1695,
    1696,  1707,  2648,   395,  2649,  2650,   396,  1713,  1714,  1730,
    1738,  1731,  2652,  1736,  1456,  1740,  1752,  1750,  1761,  2655,
    1757,  1762,  1765,  1982,  1763,  1764,   160,  1214,   161,   162,
     163,   164,   165,   166,  1771,   167,  1772,  1810,  1817,  1819,
    1219,  1820,  1816,   168,   169,   935,  1821,  1823,   170,  1825,
     590,   591,   592,   593,   594,  1231,  1826,  1232,  1827,  1828,
     171,   172,   173,   174,  1843,  1983,   175,   595,   596,   597,
     598,   599,   600,   601,   602,   603,  1852,  1856,   604,  1850,
    1853,  1857,  1862,   590,   591,   592,   593,   594,  1863,  1864,
    1868,  1871,  1889,  1890,  1896,  1917,  1898,  1900,  2510,  1903,
     595,   596,   597,   598,   599,   600,   601,   602,   603,  1904,
    1919,   604,  1497,  1925,  1928,  1929,   176,   177,   563,   564,
     565,   566,   178,   179,  1938,   180,   181,   182,   183,   184,
     185,   186,   187,   188,  1948,  1949,  1950,  1967,  1953,  1984,
    1975,  1980,   189,   190,   191,  1988,  1990,   192,   590,   591,
     592,   593,   594,  1995,  1998,   193,  2011,  2006,  2008,  2013,
    2024,  2029,  2037,   194,  2012,   595,   596,   597,   598,   599,
     600,   601,   602,   603,  2015,  2016,   604,   590,   591,   592,
     593,   594,  2017,  2025,  2069,  2086,  2065,  2048,  2168,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  2041,  2045,   604,   595,   596,   597,   598,
     599,   600,   601,   602,   603,  2062,  2063,   604,  2064,  2074,
    2066,  2193,  2122,  2196,  2068,   590,   591,   592,   593,   594,
    2197,  2199,  2088,  2202,  2089,  2094,  2098,  2097,  2208,  2278,
    2101,   195,   595,   596,   597,   598,   599,   600,   601,   602,
     603,  2207,  2274,   604,  2166,  2279,  2220,  2218,  2267,  2614,
     590,   591,   592,   593,   594,    82,  2277,    83,    84,  2283,
    2657,  2658,  2336,  2340,  2343,  2360,  2344,   595,   596,   597,
     598,   599,   600,   601,   602,   603,  2355,  2356,   604,  2357,
    2362,  2358,  2359,  2087,  2363,  1382,  1384,   590,   591,   592,
     593,   594,  2366,  2361,  2378,  1392,  2369,  1394,  2388,  2382,
    2392,   196,  2393,  2394,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  2404,  2408,   604,  2409,  2410,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   527,  2415,
     590,   591,   592,   593,   594,  2418,  1423,  2422,   528,  2428,
    2429,  2441,  2430,  2432,  1430,   207,   208,   595,   596,   597,
     598,   599,   600,   601,   602,   603,  2451,  2452,   604,   390,
    2447,  2453,  2454,  2448,   391,   392,  2456,  2458,  1371,  2450,
    1478,  2464,   394,  1911,  2468,   209,  2484,  2471,    96,    97,
      98,    99,   100,   101,  2486,  1517,  1518,  2345,   590,   591,
     592,   593,   594,  2487,  2488,  2491,  2492,  2498,  2497,  2503,
     210,   211,   212,   213,  2500,   595,   596,   597,   598,   599,
     600,   601,   602,   603,  2495,  2496,   604,   590,   591,   592,
     593,   594,  2515,  2509,  2499,  2511,  2516,  2526,  2512,   395,
    2550,  2513,   396,  2514,   595,   596,   597,   598,   599,   600,
     601,   602,   603,  2522,  2570,   604,  2559,  2521,  2573,  2575,
    2576,  2541,  2583,  2586,  2590,  2106,  2107,  2612,  2613,  2619,
      82,  2646,    83,    84,  2656,   329,   330,   331,   332,   333,
     334,   335,   336,   337,  1290,   338,   339,   340,   341,   342,
     343,  2669,  2618,   214,   215,  1751,  1291,  2621,  2109,  1292,
    2624,  2671,  2189,  2625,  1794,  1795,  2636,  2659,  2662,   216,
     217,  2663,  2667,  2668,  2676,  1796,  2143,  2678,  1372,  1607,
    1608,  1797,  1976,  2190,  2188,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,  2308,  1978,  1645,  1977,   923,  1824,  1082,
    2144,  2337,  1329,  2506,   567,   909,  2507,   498,  1449,  2145,
    1198,   829,   246,   247,   390,   248,  1268,  1267,  1615,   391,
     392,   249,  1269,  2620,  1572,  2639,  1019,   394,  1621,  1573,
    2001,  2014,  2104,    96,    97,    98,    99,   100,   101,  1402,
    2022,  2032,  2131,  2582,  2438,  2346,  2462,  2466,  2594,  2592,
    2465,  1682,  1345,  1684,  1686,  1921,  1688,  1228,     0,   160,
    1320,   161,   162,   163,   164,   165,   166,     0,   167,  1075,
       0,     0,     0,  1702,     0,  1705,   168,   169,  2347,     0,
    1712,   170,     0,     0,   395,     0,  1497,   396,    82,     0,
      83,    84,     0,   171,   172,   173,   174,   503,     0,   175,
    1734,     0,     0,     0,     0,     0,     0,     0,     0,   504,
       0,     0,     0,     0,     0,     0,     0,   459,    82,     0,
      83,    84,     0,     0,  2146,  2147,  2148,     0,     0,     0,
       0,     0,     0,     0,     0,  2106,  2107,  2309,     0,     0,
       0,     0,     0,  2348,     0,     0,     0,     0,     0,   176,
     177,   563,   564,   565,   566,   178,   179,     0,   180,   181,
     182,   183,   184,   185,   186,   187,   188,     0,  2109,     0,
       0,     0,  2504,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,  2615,     0,     0,     0,   193,     0,
    2310,  2311,   390,     0,  2312,     0,   194,   391,   392,     0,
       0,     0,     0,     0,     0,   394,     0,   505,     0,     0,
       0,    96,    97,    98,    99,   100,   101,     0,  1326,     0,
       0,     0,   390,     0,  1373,  2313,     0,   391,   392,     0,
    2314,     0,     0,     0,  1848,   394,     0,  2315,     0,     0,
    2316,    96,    97,    98,    99,   100,   101,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
    1867,     0,   395,     0,     0,   396,     0,     0,     0,   489,
       0,     0,     0,  2317,   195,     0,     0,    82,     0,    83,
      84,  1877,  1878,  1879,  2149,     0,  1883,     0,     0,     0,
    2046,     0,   395,     0,     0,   396,  2318,     0,     0,     0,
       0,   390,     0,     0,     0,     0,   391,   392,   460,     0,
    1895,   490,   491,     0,   394,     0,   492,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   493,     0,     0,
       0,     0,     0,  2053,     0,     0,   494,     0,     0,  1915,
       0,     0,     0,     0,   196,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,  2319,     0,     0,     0,     0,     0,
       0,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   395,     0,     0,   396,     0,     0,  2320,     0,  1499,
    1500,   390,     0,     0,     0,     0,   391,   392,   207,   208,
       0,  2060,     0,     0,   394,     0,  2321,  1330,     0,     0,
      96,    97,    98,    99,   100,   101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
    2061,     0,     0,     0,     0,     0,     0,     0,     0,   506,
       0,     0,     0,  2322,  2323,  2324,  2325,     0,  2326,     0,
       0,     0,  2327,   210,   211,   212,   213,     0,     0,     0,
       0,   395,     0,     0,   396,     0,     0,     0,     0,  2010,
       0,   590,   591,   592,   593,   594,     0,   511,     0,     0,
       0,     0,   461,   462,   463,   464,     0,  2284,   595,   596,
     597,   598,   599,   600,   601,   602,   603,     0,     0,   604,
       0,     0,     0,     0,     0,     0,     0,     0,  2026,  2027,
     465,     0,     0,     0,     0,     0,   466,     0,     0,   467,
       0,     0,   468,     0,  2328,     0,     0,     0,    82,   512,
      83,    84,     0,     0,     0,     0,   214,   215,  2044,     0,
    2285,  2286,     0,   495,     0,     0,     0,     0,     0,  1501,
       0,     0,   216,   217,  1502,     0,  1503,     0,    82,     0,
      83,    84,     0,  1932,     0,     0,  2287,  1480,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   329,   330,   331,   332,
     333,   334,   335,   336,   337,     0,   338,   339,   340,   341,
     342,   343,     0,     0,     0,   246,   247,  1504,   248,     0,
       0,     0,     0,     0,   249,     0,     0,     0,     4,     5,
       6,     0,   390,     0,     0,  2288,     0,   391,   392,     0,
       0,  1481,     0,  2129,     0,   394,     0,   469,  2289,     0,
       0,    96,    97,    98,    99,   100,   101,     0,     0,     0,
       0,     0,   390,     0,     0,     0,     0,   391,   392,     0,
       0,     0,     0,     0,     0,   394,     0,     0,   513,     0,
       0,    96,    97,    98,    99,   100,   101,     0,     0,     0,
       0,     0,     0,     0,     0,   478,     0,     0,     0,     0,
       7,     0,   395,     0,     0,   396,     0,     0,     0,     0,
       0,     0,   160,     8,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,     0,   496,  2206,     0,   168,
     169,  1560,   395,     0,   170,   396,     0,     0,     9,    10,
       0,  2221,     0,     0,     0,     0,   171,   172,   173,   174,
     514,   515,   175,     0,     0,     0,     0,  2264,     0,  2266,
       0,     0,     0,     0,   479,     0,    82,     0,    83,    84,
       0,     0,     0,  2280,  2281,  2282,     0,   371,    11,     0,
      12,     0,    13,     0,     0,   480,     0,     0,     0,     0,
       0,     0,     0,    14,     0,   516,   517,   518,     0,     0,
       0,     0,   176,   177,   372,     0,   519,     0,   178,   179,
       0,   180,   181,   182,   183,   184,   185,   186,   187,   188,
       0,     0,    15,     0,     0,     0,    16,     0,   189,   190,
     191,    17,    18,   192,     0,     0,     0,   373,     0,     0,
       0,   193,     0,     0,     0,     0,     0,     0,     0,   194,
       0,     0,     0,  2290,     0,  2291,  2292,     0,     0,     0,
    2293,  2294,  2411,  2295,     0,     0,     0,     0,     0,  2420,
     390,  2296,  2297,  1432,     0,   391,   392,     0,     0,  1490,
     289,     0,   290,   394,     0,     0,     0,     0,     0,    96,
      97,    98,    99,   100,   101,   374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
    2449,     0,     0,     0,   291,     0,     0,     0,     0,     0,
       0,   292,     0,     0,     0,     0,     0,   195,  2470,     0,
       0,     0,  2477,     0,     0,     0,     0,     0,   489,     0,
     395,     0,     0,   396,     0,     0,     0,    19,     0,  1433,
       0,  1482,  1483,     0,   293,  1484,   294,   481,   482,   483,
    1485,     0,     0,     0,   295,   589,     0,  2298,     0,     0,
     590,   591,   592,   593,   594,   296,  1359,     0,     0,     0,
    1434,  1435,     0,     0,     0,   492,     0,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   493,   196,   604,     0,
       0,     0,     0,     0,     0,   494,     0,  2549,     0,   376,
       0,     0,   377,     0,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,     0,     0,     0,  2558,     0,     0,
       0,     0,     0,     0,  2561,     0,     0,  2563,     0,     0,
       0,   207,   208,     0,  2566,  2567,     0,  1486,  2569,     0,
       0,     0,  1436,     0,  1437,     0,  1438,     0,     0,     0,
       0,     0,     0,   378,     0,     0,     0,   379,   380,  2587,
       0,   209,     0,  2591,     0,  2593,     0,   484,     0,     0,
       0,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2599,  2600,   210,   211,   212,   213,
     381,     0,     0,     0,     0,  2603,     0,     0,     0,    20,
      21,     0,  2608,     0,  2609,  2610,  2611,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2236,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,  1441,     0,     0,     0,     0,   298,
    1442,     0,     0,     0,  1443,     0,   384,     0,  2642,   214,
     215,     0,   981,  1444,   982,   983,     0,     0,     0,  2647,
       0,     0,  1445,   299,  1446,   216,   217,  1447,     0,     0,
       0,     0,     0,  1492,     0,  2654,     0,     0,     0,     0,
       0,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,   160,     0,   161,   162,
     163,   164,   165,   166,     0,   167,     0,     0,   246,   247,
       0,   248,     0,   168,   169,  1564,     0,   249,   170,     0,
    2106,  2107,   590,   591,   592,   593,   594,     0,     0,     0,
     171,   172,   173,   174,     0,  1493,   175,     0,     0,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,  2109,     0,   984,   985,   986,   987,   988,
     989,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2237,     0,     0,     0,  2238,  2239,     0,     0,  2240,
    2241,     0,     0,     0,     0,     0,   176,   177,     0,     0,
       0,     0,   178,   179,     0,   180,   181,   182,   183,   184,
     185,   186,   187,   188,     0,     0,  2242,     0,     0,     0,
    2243,     0,   189,   190,   191,  2244,     0,   192,  2245,     0,
       0,     0,     0,     0,  2246,   193,     0,     0,     0,  2247,
     963,   964,     0,   194,     0,  1448,     0,     0,   965,     0,
     990,   991,   992,   993,   994,   995,   996,   997,   998,   999,
    1000,  -872,  -872,  -872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   966,     0,   967,     0,  -872,  -872,
    -872,  -872,  -872,   600,   601,   602,   603,     0,     0,   604,
       0,  2248,     0,     0,     0,     0,     0,     0,     0,     0,
     968,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     969,   970,     0,   971,   972,   973,   974,   975,  2249,     0,
       0,   195,     0,     0,   976,   977,   978,     0,   979,   980,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2250,     0,     0,  2251,
    2252,  2253,     0,     0,     0,     0,     0,  2254,     0,     0,
       0,     0,  2255,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2256,     0,     0,   590,   591,   592,     0,  2257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
       0,   196,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,     0,     0,     0,     0,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,     0,     0,
     160,     0,   161,   162,   163,   164,   165,   166,     0,   167,
       0,     0,     0,     0,     0,   207,   208,   168,   169,  1986,
       0,     0,   170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   171,   172,   173,   174,     0,   196,
     175,     0,     0,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,     0,     0,     0,     0,
     210,   211,   212,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,   208,     0,     0,     0,     0,  2258,
     176,   177,     0,     0,     0,     0,   178,   179,     0,   180,
     181,   182,   183,   184,   185,   186,   187,   188,     0,     0,
       0,     0,     0,   209,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,     0,     0,     0,   194,   210,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   216,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,     0,   195,     0,     0,     0,     0,
       0,   214,   215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   246,   247,     0,   248,     0,   216,   217,     0,
       0,   249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,     0,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     246,   247,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,     0,     0,   160,     0,   161,   162,   163,   164,
     165,   166,     0,   167,     0,     0,     0,     0,     0,   207,
     208,   168,   169,  1991,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,   172,
     173,   174,     0,     0,   175,     0,     0,     0,     0,   209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,   211,   212,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   176,   177,     0,     0,     0,     0,
     178,   179,     0,   180,   181,   182,   183,   184,   185,   186,
     187,   188,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,     0,
       0,     0,     0,   193,     0,     0,     0,  1022,     0,     0,
       0,   194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   544,   866,   867,   868,     0,     0,   214,   215,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,   217,     0,     0,     0,     0,     0,
       0,   171,     0,   173,   174,     0,     0,     0,     0,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   246,   247,     0,   248,
       0,     0,     0,     0,     0,   249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1023,   846,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,   196,
       0,     0,  1025,     0,     0,  1026,  1027,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,     0,     0,   160,  1029,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,   207,   208,   168,   169,  1993,     0,     0,
     170,     0,  1030,  1031,  1032,     0,  1033,  1034,     0,  1035,
    1036,  1037,   171,   172,   173,   174,     0,     0,   175,     0,
       0,     0,     0,   209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
     212,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   176,   177,
       0,     0,     0,     0,   178,   179,     0,   180,   181,   182,
     183,   184,   185,   186,   187,   188,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,     0,     0,     0,     0,   193,     0,     0,
       0,     0,     0,     0,     0,   194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   214,   215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,   217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     246,   247,     0,   248,     0,     0,     0,     0,     0,   249,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
       0,     0,   160,     0,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,     0,     0,   207,   208,   168,
     169,     0,     0,     0,   170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   171,   172,   173,   174,
       0,     0,   175,     0,     0,     0,     0,   209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,   211,   212,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,     0,     0,     0,   178,   179,
       0,   180,   181,   182,   183,   184,   185,   186,   187,   188,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,     0,     0,     0,
       0,   193,     0,     0,     0,     0,     0,     0,     0,   194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   216,   217,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   246,   247,     0,   248,     0,     0,
       0,     0,     0,   249,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   172,     0,     0,     0,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   207,   208,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,  1521,  1522,  1523,  1524,  1525,  1526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   209,     0,     0,     0,  1527,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,   178,   179,     0,   180,   181,
     182,   183,   184,   185,   186,  1529,   210,   211,   212,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,     0,  1531,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
     215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,     0,     0,     0,
       0,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   246,   247,
       0,   248,     0,     0,     0,     0,     0,   249,     0,     0,
       0,     0,     0,  1519,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   172,     0,     0,     0,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   207,   208,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
    1521,  1522,  1523,  1524,  1525,  1526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,     0,  1527,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,   178,   179,     0,   180,   181,   182,   183,   184,
     185,   186,  1529,   210,   211,   212,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1530,
       0,  1531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,     0,
       0,   195,     0,     0,     0,     0,     0,     0,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   246,   247,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,     0,     0,     0,     0,
    1519,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   172,     0,
       0,     0,     0,   175,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   207,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,  1521,  1522,  1523,
    1524,  1525,  1526,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,     0,     0,     0,  1527,
       0,     0,  1528,     0,     0,     0,     0,     0,     0,   178,
     179,     0,   180,   181,   182,   183,   184,   185,   186,  1529,
     210,   211,   212,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1530,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   216,
     217,     0,     0,     0,     0,     0,     0,     0,   195,     0,
       0,     0,     0,     0,     0,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,     0,     0,  2055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   246,   247,     0,     0,     0,     0,  2049,     0,
       0,     0,     0,     0,   172,     0,     0,     0,   196,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,   179,     0,   180,   181,
     182,   183,   184,   185,   186,  2056,     0,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,   211,   212,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,     0,     0,     0,
     214,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,     0,     0,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   246,
     247,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   207,   208,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   407,   408,     0,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,   211,   212,   213,   409,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   410,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   390,     0,     0,     0,
       0,   391,   392,     0,   411,   412,   214,   215,     0,   394,
     413,     0,     0,     0,     0,   414,   415,   416,   417,     0,
       0,     0,   216,   217,     0,     0,     0,     0,   418,     0,
       0,     0,   419,     0,   420,     0,     0,     0,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   395,     0,     0,   396,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
       0,     0,   422,     0,     0,   246,   247,     0,     0,     0,
       0,   423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   424,   425,   426,   427,     0,   428,     0,     0,     0,
     429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,     0,   434,   435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,     0,     0,   438,   439,   440,     0,
       0,     0,     0,     0,     0,   441,     0,     0,     0,   442,
       0,     0,   443,   444,     0,   445,     0,   446,     0,     0,
       0,   447,   448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   449,     0,     0,     0,     0,     0,     0,
       0,   450,   451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   452
};

static const yytype_int16 yycheck[] =
{
     102,     7,   249,   165,   249,   556,   461,   282,  1229,   732,
     279,   491,   367,    81,   427,   428,   165,    85,    86,  1229,
     630,  1229,   353,   160,   133,  1229,   778,     7,   137,    22,
     139,   158,   141,   139,    15,   366,   367,    25,   313,    20,
     149,   150,     7,   149,   150,     7,   531,   156,   533,   534,
       7,     7,   537,   538,  1260,  1261,  1262,  1263,   128,     7,
     130,   671,   132,  1484,   134,    61,   136,     7,   138,   503,
      11,    12,   142,   630,   144,    15,   146,    20,   148,    22,
      20,    87,   351,   352,   154,   155,    15,   249,     4,   299,
      30,    20,    32,     6,   119,   426,   781,     3,    22,   119,
     249,    15,    15,    16,    17,    18,    20,  2207,  2239,  1330,
      11,    12,     0,    17,    18,  1521,    20,   448,    17,    18,
    1330,    20,  1330,   392,    38,    39,    40,    41,    18,  1535,
      20,    37,   133,   464,   247,     8,     9,    10,    47,    47,
      15,    47,    15,    49,    50,    20,    15,    20,    30,    31,
      15,    20,    25,    26,    27,    20,  2052,   159,   489,    17,
      18,    30,    20,    32,   170,    17,    18,    82,    20,    75,
       8,     9,    10,    11,    12,     3,    15,    16,    17,    18,
    2311,   512,     8,     9,    10,    11,    12,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   630,   163,    36,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    15,   117,
      36,    20,    47,    20,    17,    18,  1023,    20,  2052,    15,
      16,    17,    18,    19,    20,    15,    16,    17,    18,    47,
     103,   104,    39,   199,   312,     3,   142,    20,   144,   145,
     268,   147,   248,   149,    39,   151,    22,   153,   154,   155,
    1081,   157,    15,    45,    17,    15,    15,    20,    17,    47,
      20,    20,   364,  1070,   170,   171,   172,   173,   174,   175,
      15,    20,  2049,    22,   729,    20,   344,    48,    38,    39,
      40,    41,  1763,    39,   182,    48,    15,  2052,   464,   536,
      15,    20,   394,   395,    34,    20,    15,    39,   193,   194,
     368,    20,    15,    16,    17,    18,    19,    20,   859,    38,
      39,    40,    41,    38,    39,    40,    41,   419,   224,   214,
      15,   872,   246,   237,   230,    20,   270,    15,    15,    15,
     236,   237,    20,    20,    20,   748,    48,     8,     9,    10,
      11,    12,    31,   267,   346,   210,   677,   375,   703,   158,
      38,    39,    40,    41,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   158,  1087,    36,    20,    45,    22,   277,
      20,  1040,   703,   451,    48,   158,  1797,   708,  1599,   492,
      15,   382,   713,    45,   715,    20,   237,     3,   237,  1599,
     566,  1599,  2169,   421,   531,   562,   533,   534,     3,    31,
     537,   538,   158,    38,    39,    40,    41,    15,    16,    17,
      18,    19,    20,   325,    63,    64,   158,     3,   195,   190,
     751,   752,  2522,   633,   634,   635,   636,   637,   371,   639,
     640,   356,   642,   643,    15,   645,   646,   457,   565,    20,
     268,   466,    81,   424,   425,  2341,   466,     3,   240,    15,
     359,   417,   141,   784,    20,   231,   787,    38,    39,    40,
      41,   485,   163,   876,   379,   878,     8,     9,    10,    11,
      12,   396,    38,    39,    40,    41,    15,  1034,   190,   834,
     835,    20,    82,    25,    26,    27,    28,    29,    30,    31,
      32,    33,   119,   824,    36,    45,   273,  1328,     3,    38,
      39,    40,    41,   834,   835,   163,   502,  2341,   158,   141,
     361,   165,   361,   242,   243,   210,   190,   562,   849,   543,
    1071,  1927,   853,    15,   359,   437,   857,   493,    20,   535,
     157,   152,   137,   778,   161,   162,  1757,  1222,   566,   166,
     280,   359,   548,   178,   182,   167,    38,    39,    40,    41,
     177,   557,   558,   559,   560,   561,   562,   157,   889,   186,
     468,   892,   240,   251,   632,  2342,   369,   457,   574,   900,
     564,   359,   565,  2054,   562,   569,  2341,  2058,   240,  1189,
     229,   562,   283,   563,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   563,   564,
    1034,   563,  1808,   225,  1810,   176,   563,  1813,   564,  1815,
    1816,  1280,  1281,   358,   166,   563,   778,     8,     9,    10,
      11,    12,   562,   564,   548,   549,   550,   163,   568,   778,
     570,    45,   561,   562,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   301,  1451,    36,   552,   296,   562,   562,
     375,   565,    20,   566,   724,   561,   551,     8,     9,    10,
      11,    12,   566,   564,   238,   305,   354,   566,    17,   308,
     251,    20,   312,   679,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   565,   690,    36,   561,   562,   421,   562,
     240,   697,    33,   562,   427,   942,   943,   562,   337,   568,
     945,   570,   139,   365,   366,   867,   808,   346,   566,    15,
     248,  1932,  1167,   565,    20,  1936,   417,  1469,   867,    20,
     184,    22,  1932,   562,  1932,    15,  1936,   565,  1932,    20,
      20,    22,    38,    39,    40,    41,   423,   563,   564,   313,
       8,     9,    10,    11,    12,   359,   465,   283,    38,    39,
      40,    41,   189,   565,  1239,   562,  1241,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   562,   853,    36,   561,
     565,   857,   562,   354,  1049,  1050,  1051,  1052,  1053,  1054,
     564,    33,  1057,   945,  1059,   569,  1061,  1062,   354,  1120,
    1121,   540,   160,    32,    33,   409,   945,    36,   547,   562,
     237,  1132,   562,   562,   241,   565,  1790,   244,   245,   565,
     562,    20,  1796,    22,   141,   365,   366,   562,  1149,  1150,
    2436,   498,   499,   565,  1155,  1156,   240,   504,  2049,  1160,
    1161,   565,  1163,   562,  1165,   374,    33,   562,    86,  2049,
     846,  2049,   234,   562,    25,   309,  1056,  1178,  1058,   562,
    2373,    48,  1183,  1308,    15,    36,  1311,   158,  1313,    20,
    1191,   325,    15,    47,  1195,    49,    50,   562,   507,   508,
     509,  1033,    63,    64,   562,   562,   562,    38,    39,    40,
      41,   417,   466,   561,  1033,    15,  2092,   562,   472,   566,
      20,  2097,   563,  2099,  1225,    20,  2102,    22,   498,   561,
     565,  1452,   193,  1234,   140,   273,    20,    21,    38,    39,
      40,    41,     8,     9,    10,    11,    12,    20,   466,    22,
     562,   139,   140,    63,    64,   473,   932,   562,   934,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   330,   566,
      36,   541,   542,   543,   544,   545,   546,  2168,  2169,   158,
     562,   365,   366,  1366,   562,  1435,     3,   564,  2168,  2169,
    2168,  2169,   569,   355,  2168,  2581,   168,   151,  2584,  2034,
    1072,   562,   156,   157,  1697,   223,   160,    20,    92,    22,
     164,   562,   566,  1085,   154,   562,   170,   171,   172,   173,
     174,   175,    20,   195,    22,  1097,   562,  1099,     3,     9,
      10,    11,    12,   562,   213,  2528,  2529,    80,    18,  1118,
    1119,   561,   140,  1119,   223,    20,  2539,  2540,   566,    20,
      21,   563,   564,   562,   163,     8,     9,    10,    11,    12,
     248,   249,   562,   158,   252,    20,    21,   221,   229,  1314,
     224,  1316,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    17,    18,    36,    59,   158,  1387,   159,   197,  2124,
     428,    36,   246,    48,   234,   235,   236,  2132,   170,   171,
     562,   273,   362,   363,     3,   443,   444,   240,   151,  1147,
    1189,  1356,   243,   156,   157,    22,   375,   160,  1501,   229,
    1359,   164,  2076,  2077,     3,   142,   143,   299,  2163,     3,
    2084,  2085,  1239,   564,  1241,   296,   567,  1216,  1217,  1218,
    1216,  1217,  1218,   243,  1500,  1446,   405,  1503,   281,   166,
       3,  2342,  1453,     3,  1286,  1676,   432,    20,  1679,   566,
     287,   379,  2342,   381,  2342,   383,   384,  1286,   564,   387,
     566,   430,     3,   190,   283,   284,   151,   561,   221,   309,
     158,   224,  2358,   316,  2360,  1968,   296,     3,  1971,    20,
      21,  1492,   395,   396,  1977,  1978,  1497,     8,     9,    10,
      11,    12,    20,   564,    22,    23,   278,   337,   338,     8,
       9,    10,    11,    12,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   316,   317,    36,    25,    26,    27,    28,
      29,    30,    31,    32,    33,   278,   279,    36,  1539,    42,
      43,    44,   285,   564,    75,     3,   463,   464,     3,    45,
     467,   468,   469,    22,  1469,    51,    52,    53,    54,     3,
      56,    57,    58,    17,    18,    61,    20,    63,    64,  1245,
     328,   329,   247,    69,    70,  1251,     3,  1253,  1254,  1255,
    1256,   564,  1707,   566,     3,  1610,   562,  1619,   161,   162,
    1266,   142,   143,  1331,     3,  1627,  1272,     8,     9,    10,
      11,    12,   562,   283,   284,   139,   140,   158,  1609,  1610,
       3,   142,   163,    15,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   154,   155,    36,   564,   178,     3,  1654,
    1631,   232,   233,   184,   309,   166,     3,  1469,     8,     9,
      10,    11,    12,    17,    18,    19,    20,     3,  1480,   566,
    1469,   485,  1484,  1654,  1655,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   563,   564,    36,     8,     9,    10,
      11,    12,   564,    47,   566,    49,    50,    20,   566,    22,
     142,   143,  1454,    25,    25,    26,    27,    28,    29,    30,
      31,    32,    33,  1725,    20,    36,   158,    20,  1699,  1700,
    1732,   163,   561,  1704,     8,     9,    10,   565,    17,    18,
    1711,    20,   566,  1714,   561,    48,   178,   167,   168,   169,
     561,    25,    26,    27,    17,    18,   401,    20,   564,  1501,
     566,   562,     8,     9,    10,    11,    12,    20,  1739,    22,
    1741,   191,   192,  2619,   564,   195,   566,    80,  1749,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   433,   434,
      36,    45,   562,    17,    18,    19,    20,    51,    52,    53,
      54,   142,    56,    57,    58,    17,    18,    61,    20,    63,
      64,  1613,   476,   477,   478,    69,    70,  1788,    18,   238,
      20,  1874,   483,  1794,  1613,  2671,    20,   168,   564,   103,
     104,    48,  1827,  1828,   565,   130,   131,   152,   561,   134,
     563,     8,     9,    10,    11,    12,   141,   142,   247,   152,
     191,   561,   193,   566,   195,   561,  1827,  1828,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    17,    18,    36,
      20,   316,    22,   318,  1520,  1521,  1146,  1523,  1148,   563,
     564,  1527,  1528,   180,   181,   182,   183,   190,  1596,  1535,
      43,    44,  1945,   196,   139,    43,    44,    22,   197,   198,
       8,     9,    10,    11,    12,   204,   205,   206,   207,   563,
     564,  1557,   565,  1559,   561,   218,   565,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    17,    18,    36,   565,
     271,   272,   273,   274,    17,    18,   565,    20,   325,    22,
     561,   564,   187,   188,   189,   314,  1917,   360,     8,     9,
      10,    11,    12,  2006,   182,   199,   200,   201,   202,   203,
       8,     9,    10,    11,    12,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   247,   220,    36,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   253,   254,    36,   563,
     564,   251,  1963,   388,   389,  1797,   241,   286,  1969,   244,
     245,   251,  1791,   242,   243,   303,     8,     9,    10,    11,
      12,   409,   410,   411,   412,   413,   414,   415,   416,   289,
    2015,  2016,  2017,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    59,    60,    36,    11,    12,   282,     8,     9,
      10,    11,    12,   312,  2015,  2016,  2017,   199,   200,   201,
     202,   203,   563,   564,  2025,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    45,   153,    36,   328,     8,     9,
      10,    11,    12,    54,    65,    66,    67,    68,    59,   563,
     564,   242,   243,   564,   341,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   334,   564,    36,   289,  2069,   289,
     566,  2072,  2621,  2074,  1846,  2624,  2625,  1753,   187,   188,
       8,     9,    10,    11,    12,  1761,  2111,  2636,   370,  1765,
     349,  1767,   347,   354,   199,   200,   286,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   135,  1845,    36,   561,
    2111,  2112,   565,  2662,  2663,   561,  2031,  2032,  2667,  2668,
     293,   294,   442,  1799,   199,   200,   565,   142,   143,   565,
     391,   170,   171,  2194,  2195,  2052,   160,   182,  2139,   151,
     366,   165,  2143,   158,  2145,  2146,   359,  2148,   163,   152,
     565,   166,   563,   561,    15,   565,    15,   561,   561,   420,
     142,   143,    20,   178,   425,   178,   222,   178,   166,   151,
     561,   561,   166,   565,   156,   157,   187,   188,   439,   565,
     565,   565,   164,   247,   166,   561,   447,   565,  2189,   561,
    2191,  2192,  2193,   563,   182,   353,   242,   166,   251,  2031,
    2032,   462,   561,   561,   465,   565,   561,   468,   565,   220,
     251,    14,  2031,  2032,    15,    15,    33,   478,    30,    15,
      31,  2222,   563,    36,  2225,   564,     7,    15,    15,  2230,
       3,   242,   243,     3,  2317,   246,  2237,     3,     3,   221,
       3,     3,   224,     3,   268,  2246,  2247,     3,  2249,     3,
    2251,  1927,  2253,     3,  2255,   516,     3,   518,     3,  1935,
       3,  2262,     3,   564,   562,   561,   370,   561,    20,   564,
     251,   282,   254,  2274,  2275,   561,   251,  2278,  2279,   290,
     291,   292,   566,   561,   561,   339,   225,   563,   561,   561,
     561,   566,    34,   251,   561,   251,   251,   565,   251,  2300,
     152,   561,   367,  2304,   240,   561,   240,  2308,     8,     9,
      10,    11,    12,   561,  2315,   178,    15,    15,    20,   185,
     561,   308,   295,  2324,    15,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   142,   143,    36,  2362,  2363,    48,
      15,  2366,   366,   141,    31,   564,  2118,   564,    15,   240,
     158,   240,   562,     3,    20,   163,   166,   166,   166,    20,
       3,  2362,  2363,     3,   563,  2366,   563,  2392,  2393,    20,
     178,  2372,   561,    22,   561,   561,   184,    31,   182,   403,
     564,  2382,  2383,  2384,  2385,  2386,  2062,  2063,  2064,   561,
    2066,  2392,  2393,   561,   561,   561,   420,   251,   422,   561,
     561,   561,   426,  2404,  2405,  2406,   430,   431,   561,   561,
     392,   393,     8,     9,    10,    11,    12,   561,   561,   561,
     561,  2422,  2423,  2340,  2341,   563,   561,  2428,   561,    25,
      26,    27,    28,    29,    30,    31,    32,    33,  2439,   561,
      36,   561,  2443,   179,   561,  2446,  2447,   561,    47,   561,
    2451,  2452,  2284,   561,   561,   561,    15,   178,  2459,  2542,
    2543,   561,  2487,   561,   561,   561,   561,    18,    31,    31,
    2471,  2472,  2473,   563,   565,   564,   737,  2560,    15,    15,
      20,     3,     3,  2484,     3,   563,  2487,  2488,     3,     3,
    2491,  2492,     3,     3,     3,    15,  2172,     3,     3,   250,
     563,   250,   564,   151,   765,   766,   561,   768,   156,   157,
      22,   561,   160,   561,  2515,  2516,   164,   286,   151,   561,
     564,   561,   783,   561,   561,   561,   561,   561,   789,   297,
     791,   563,   793,   794,   561,   796,   797,   798,   799,   800,
     801,   561,   566,   804,   561,   806,   353,   561,   166,   810,
     182,   561,   561,   561,   561,   566,   817,   818,   360,   561,
     821,  2333,   561,   563,   825,   336,   166,    54,   561,   130,
     561,   247,  2573,   221,  2575,  2576,   224,   561,   435,   168,
     184,   561,  2583,   561,   566,   140,    33,   561,    25,  2590,
     562,   562,    25,   563,   562,   561,    13,   858,    15,    16,
      17,    18,    19,    20,    33,    22,    31,   564,    15,    18,
     871,     3,   564,    30,    31,    32,     3,   566,    35,   561,
       8,     9,    10,    11,    12,   886,    15,   888,   251,   251,
      47,    48,    49,    50,   565,   563,    53,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   178,   386,    36,   152,
     390,   385,   561,     8,     9,    10,    11,    12,   561,   561,
     243,   561,   297,   310,   565,   178,   565,   565,  2344,   565,
      25,    26,    27,    28,    29,    30,    31,    32,    33,   565,
      63,    36,    45,    15,   561,   561,   103,   104,   105,   106,
     107,   108,   109,   110,   561,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    15,    31,    55,    35,    62,    32,
     561,   561,   129,   130,   131,    32,     7,   134,     8,     9,
      10,    11,    12,   566,   563,   142,   561,   281,   565,   271,
     182,   565,   565,   150,   380,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   244,   244,    36,     8,     9,    10,
      11,    12,   244,   251,     7,    71,   561,   563,   101,     8,
       9,    10,    11,    12,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   565,   565,    36,    25,    26,    27,    28,
      29,    30,    31,    32,    33,   562,   562,    36,   562,   564,
     562,    33,   278,    15,   561,     8,     9,    10,    11,    12,
      32,    32,   563,     7,   563,   563,   563,   562,   243,   466,
     563,   228,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   565,   312,    36,   561,   466,   561,   565,   561,  2505,
       8,     9,    10,    11,    12,    47,   561,    49,    50,   561,
    2612,  2613,   566,     7,   563,   562,   564,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   563,   563,    36,   563,
     244,   564,   563,   563,   244,  1126,  1127,     8,     9,    10,
      11,    12,   244,   563,   297,  1136,   197,  1138,   247,   295,
     244,   298,   244,   561,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   295,   247,    36,   439,   565,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   556,   411,
       8,     9,    10,    11,    12,   349,  1177,   312,   566,   117,
     409,   451,   561,   561,  1185,   342,   343,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   251,   461,    36,   151,
     458,   297,   281,   451,   156,   157,   281,   561,   160,   456,
    1211,   561,   164,    22,   561,   372,   251,   295,   170,   171,
     172,   173,   174,   175,   349,  1226,  1227,   563,     8,     9,
      10,    11,    12,   251,   117,   251,   251,   561,   495,   561,
     397,   398,   399,   400,   500,    25,    26,    27,    28,    29,
      30,    31,    32,    33,   489,   491,    36,     8,     9,    10,
      11,    12,    33,   561,   501,   561,    33,    22,   561,   221,
     302,   561,   224,   561,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   561,   475,    36,   440,   566,   251,   244,
     244,   566,   251,   453,   178,   187,   188,   188,   188,   564,
      47,   423,    49,    50,   423,    83,    84,    85,    86,    87,
      88,    89,    90,    91,  1033,    93,    94,    95,    96,    97,
      98,   418,   563,   480,   481,  1512,  1033,   561,   220,  1033,
     561,   564,  2073,   561,  1551,  1551,   561,   561,   561,   496,
     497,   561,   561,   561,   561,  1551,   238,   563,   300,  1350,
    1351,  1551,  1794,  2074,  2072,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    45,  1796,  1386,  1795,   555,  1599,   681,
     282,  2168,  1080,  2340,   248,   536,  2341,   141,  1187,   291,
     829,   472,   559,   560,   151,   562,   943,   942,  1357,   156,
     157,   568,   945,  2522,  1273,  2541,   625,   164,  1365,  1275,
    1842,  1860,  2001,   170,   171,   172,   173,   174,   175,  1154,
    1873,  1898,  2028,  2444,  2284,   563,  2301,  2305,  2457,  2455,
    2304,  1442,  1102,  1444,  1445,  1745,  1447,   883,    -1,    13,
    1065,    15,    16,    17,    18,    19,    20,    -1,    22,   674,
      -1,    -1,    -1,  1464,    -1,  1466,    30,    31,   563,    -1,
    1471,    35,    -1,    -1,   221,    -1,    45,   224,    47,    -1,
      49,    50,    -1,    47,    48,    49,    50,   234,    -1,    53,
    1491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    46,    47,    -1,
      49,    50,    -1,    -1,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   187,   188,   189,    -1,    -1,
      -1,    -1,    -1,   563,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   220,    -1,
      -1,    -1,   563,    -1,    -1,   129,   130,   131,    -1,    -1,
     134,    -1,    -1,    -1,   563,    -1,    -1,    -1,   142,    -1,
     242,   243,   151,    -1,   246,    -1,   150,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,   344,    -1,    -1,
      -1,   170,   171,   172,   173,   174,   175,    -1,   561,    -1,
      -1,    -1,   151,    -1,   566,   277,    -1,   156,   157,    -1,
     282,    -1,    -1,    -1,  1625,   164,    -1,   289,    -1,    -1,
     292,   170,   171,   172,   173,   174,   175,    -1,    -1,    -1,
      -1,    -1,    -1,   561,    -1,    -1,    -1,    -1,    -1,    -1,
    1651,    -1,   221,    -1,    -1,   224,    -1,    -1,    -1,   119,
      -1,    -1,    -1,   325,   228,    -1,    -1,    47,    -1,    49,
      50,  1672,  1673,  1674,   566,    -1,  1677,    -1,    -1,    -1,
     561,    -1,   221,    -1,    -1,   224,   348,    -1,    -1,    -1,
      -1,   151,    -1,    -1,    -1,    -1,   156,   157,   237,    -1,
    1701,   161,   162,    -1,   164,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,    -1,    -1,   561,    -1,    -1,   186,    -1,    -1,  1730,
      -1,    -1,    -1,    -1,   298,    -1,   305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   221,    -1,    -1,   224,    -1,    -1,   429,    -1,   338,
     339,   151,    -1,    -1,    -1,    -1,   156,   157,   342,   343,
      -1,   561,    -1,    -1,   164,    -1,   448,   565,    -1,    -1,
     170,   171,   172,   173,   174,   175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
     561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   566,
      -1,    -1,    -1,   485,   486,   487,   488,    -1,   490,    -1,
      -1,    -1,   494,   397,   398,   399,   400,    -1,    -1,    -1,
      -1,   221,    -1,    -1,   224,    -1,    -1,    -1,    -1,  1850,
      -1,     8,     9,    10,    11,    12,    -1,   237,    -1,    -1,
      -1,    -1,   401,   402,   403,   404,    -1,    86,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,  1890,
     429,    -1,    -1,    -1,    -1,    -1,   435,    -1,    -1,   438,
      -1,    -1,   441,    -1,   566,    -1,    -1,    -1,    47,   289,
      49,    50,    -1,    -1,    -1,    -1,   480,   481,  1919,    -1,
     139,   140,    -1,   383,    -1,    -1,    -1,    -1,    -1,   498,
      -1,    -1,   496,   497,   503,    -1,   505,    -1,    47,    -1,
      49,    50,    -1,   100,    -1,    -1,   165,    86,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,    -1,   559,   560,   566,   562,    -1,
      -1,    -1,    -1,    -1,   568,    -1,    -1,    -1,    72,    73,
      74,    -1,   151,    -1,    -1,   234,    -1,   156,   157,    -1,
      -1,   160,    -1,  2024,    -1,   164,    -1,   566,   247,    -1,
      -1,   170,   171,   172,   173,   174,   175,    -1,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,    -1,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,   438,    -1,
      -1,   170,   171,   172,   173,   174,   175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,    -1,    -1,
     144,    -1,   221,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    13,   157,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,   566,  2108,    -1,    30,
      31,    32,   221,    -1,    35,   224,    -1,    -1,   182,   183,
      -1,  2122,    -1,    -1,    -1,    -1,    47,    48,    49,    50,
     510,   511,    53,    -1,    -1,    -1,    -1,  2138,    -1,  2140,
      -1,    -1,    -1,    -1,   253,    -1,    47,    -1,    49,    50,
      -1,    -1,    -1,  2154,  2155,  2156,    -1,   159,   222,    -1,
     224,    -1,   226,    -1,    -1,   274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   555,   556,   557,    -1,    -1,
      -1,    -1,   103,   104,   186,    -1,   566,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,    -1,   266,    -1,    -1,    -1,   270,    -1,   129,   130,
     131,   275,   276,   134,    -1,    -1,    -1,   219,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,   452,    -1,   454,   455,    -1,    -1,    -1,
     459,   460,  2243,   462,    -1,    -1,    -1,    -1,    -1,  2250,
     151,   470,   471,    54,    -1,   156,   157,    -1,    -1,   160,
     193,    -1,   195,   164,    -1,    -1,    -1,    -1,    -1,   170,
     171,   172,   173,   174,   175,   277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
    2291,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,   228,  2309,    -1,
      -1,    -1,  2313,    -1,    -1,    -1,    -1,    -1,   119,    -1,
     221,    -1,    -1,   224,    -1,    -1,    -1,   391,    -1,   130,
      -1,   470,   471,    -1,   267,   474,   269,   446,   447,   448,
     479,    -1,    -1,    -1,   277,     3,    -1,   566,    -1,    -1,
       8,     9,    10,    11,    12,   288,   157,    -1,    -1,    -1,
     161,   162,    -1,    -1,    -1,   166,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   177,   298,    36,    -1,
      -1,    -1,    -1,    -1,    -1,   186,    -1,  2388,    -1,   391,
      -1,    -1,   394,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,    -1,    -1,  2408,    -1,    -1,
      -1,    -1,    -1,    -1,  2415,    -1,    -1,  2418,    -1,    -1,
      -1,   342,   343,    -1,  2425,  2426,    -1,   566,  2429,    -1,
      -1,    -1,   233,    -1,   235,    -1,   237,    -1,    -1,    -1,
      -1,    -1,    -1,   445,    -1,    -1,    -1,   449,   450,  2450,
      -1,   372,    -1,  2454,    -1,  2456,    -1,   566,    -1,    -1,
      -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2475,  2476,   397,   398,   399,   400,
     482,    -1,    -1,    -1,    -1,  2486,    -1,    -1,    -1,   553,
     554,    -1,  2493,    -1,  2495,  2496,  2497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,    -1,    -1,    -1,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,   345,    -1,    -1,    -1,    -1,   482,
     351,    -1,    -1,    -1,   355,    -1,   558,    -1,  2559,   480,
     481,    -1,    47,   364,    49,    50,    -1,    -1,    -1,  2570,
      -1,    -1,   373,   506,   375,   496,   497,   378,    -1,    -1,
      -1,    -1,    -1,   484,    -1,  2586,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    13,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,   559,   560,
      -1,   562,    -1,    30,    31,    32,    -1,   568,    35,    -1,
     187,   188,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      47,    48,    49,    50,    -1,   566,    53,    -1,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    -1,    -1,
      36,    -1,    -1,   220,    -1,   170,   171,   172,   173,   174,
     175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,    -1,    -1,    -1,   242,   243,    -1,    -1,   246,
     247,    -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,    -1,   273,    -1,    -1,    -1,
     277,    -1,   129,   130,   131,   282,    -1,   134,   285,    -1,
      -1,    -1,    -1,    -1,   291,   142,    -1,    -1,    -1,   296,
      51,    52,    -1,   150,    -1,   566,    -1,    -1,    59,    -1,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    87,    -1,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    -1,    -1,    36,
      -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,   375,    -1,
      -1,   228,    -1,    -1,   135,   136,   137,    -1,   139,   140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,
      -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,     8,     9,    10,    -1,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,   298,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    -1,    -1,    36,    -1,    -1,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,    -1,
      13,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    -1,   342,   343,    30,    31,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    48,    49,    50,    -1,   298,
      53,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,    -1,    -1,    -1,
     397,   398,   399,   400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,    -1,    -1,    -1,   566,
     103,   104,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,   129,   130,   131,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,   397,   398,
     399,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,
     497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   480,   481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   559,   560,    -1,   562,    -1,   496,   497,    -1,
      -1,   568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     559,   560,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,    -1,    13,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,   342,
     343,    30,    31,    32,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,    48,
      49,    50,    -1,    -1,    53,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,   398,   399,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     129,   130,   131,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,     3,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    -1,    -1,   480,   481,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    49,    50,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   559,   560,    -1,   562,
      -1,    -1,    -1,    -1,    -1,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,   298,
      -1,    -1,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,
     166,    -1,    -1,    -1,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,    -1,    13,   185,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    -1,   342,   343,    30,    31,    32,    -1,    -1,
      35,    -1,   208,   209,   210,    -1,   212,   213,    -1,   215,
     216,   217,    47,    48,    49,    50,    -1,    -1,    53,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,   398,
     399,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   129,   130,   131,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   480,   481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     559,   560,    -1,   562,    -1,    -1,    -1,    -1,    -1,   568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,    -1,    13,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    -1,   342,   343,    30,
      31,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    48,    49,    50,
      -1,    -1,    53,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   397,   398,   399,   400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,   130,
     131,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   480,   481,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,    -1,    -1,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   559,   560,    -1,   562,    -1,    -1,
      -1,    -1,    -1,   568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    48,    -1,    -1,    -1,    -1,    53,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    99,    -1,    -1,   102,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   397,   398,   399,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
     481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   559,   560,
      -1,   562,    -1,    -1,    -1,    -1,    -1,   568,    -1,    -1,
      -1,    -1,    -1,    20,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    48,    -1,    -1,    -1,    -1,    53,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   397,   398,   399,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   559,   560,    -1,    -1,    -1,
      -1,    -1,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    48,    -1,
      -1,    -1,    -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,   343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    99,
      -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     397,   398,   399,   400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,
     497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,    -1,    20,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   559,   560,    -1,    -1,    -1,    -1,   565,    -1,
      -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,   298,    53,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   342,   343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,   398,   399,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     480,   481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   496,   497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
      -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   559,
     560,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   397,   398,   399,   400,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,
      -1,   156,   157,    -1,   159,   160,   480,   481,    -1,   164,
     165,    -1,    -1,    -1,    -1,   170,   171,   172,   173,    -1,
      -1,    -1,   496,   497,    -1,    -1,    -1,    -1,   183,    -1,
      -1,    -1,   187,    -1,   189,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   221,    -1,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,
      -1,    -1,   237,    -1,    -1,   559,   560,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,   277,   278,   279,    -1,   281,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,
      -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,
      -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,   344,
      -1,    -1,   347,   348,    -1,   350,    -1,   352,    -1,    -1,
      -1,   356,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   376,   377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   566
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   572,   573,    72,    73,    74,   144,   157,   182,
     183,   222,   224,   226,   237,   266,   270,   275,   276,   391,
     553,   554,   629,   630,   631,   632,   744,   745,   746,   747,
     749,   750,   751,   758,   760,   761,   762,   763,   764,   765,
     766,   767,   768,   769,   770,   773,   774,   775,   776,   777,
     778,   779,   781,   782,   804,   815,   816,   817,   818,   841,
     879,   880,   881,   882,   883,   884,   885,   886,   941,   942,
     965,   978,   979,   980,   981,   982,   983,   984,   985,     0,
       3,    37,    47,    49,    50,    75,   142,   144,   145,   147,
     149,   151,   153,   154,   155,   157,   170,   171,   172,   173,
     174,   175,   224,   230,   236,   237,   552,   561,   574,   575,
     633,   635,   636,   637,   638,   647,   683,   685,   686,   687,
     688,   689,   694,   708,   711,   721,   722,   723,   786,   789,
     805,   808,   819,   825,   837,   840,   844,   845,   888,   889,
     891,   893,   894,   899,   930,   933,   943,   944,   956,   957,
     966,   969,   976,   977,   988,   991,   992,     3,     3,     3,
      13,    15,    16,    17,    18,    19,    20,    22,    30,    31,
      35,    47,    48,    49,    50,    53,   103,   104,   109,   110,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   129,
     130,   131,   134,   142,   150,   228,   298,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   342,   343,   372,
     397,   398,   399,   400,   480,   481,   496,   497,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   559,   560,   562,   568,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   626,   627,   628,   653,   669,   671,   672,   674,
     675,   676,   677,   785,    20,    22,   158,   757,   780,   783,
      20,   783,   783,   213,   223,   783,   783,     3,   182,   193,
     195,   227,   234,   267,   269,   277,   288,   394,   482,   506,
     142,   168,   191,   193,   195,   271,   272,   273,   274,    39,
     158,   565,   771,   783,   270,    22,   246,   267,   548,   549,
     550,   986,     3,    20,    21,   578,   578,   578,   677,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    93,    94,
      95,    96,    97,    98,   639,   562,   562,   152,    20,    22,
     603,   193,   194,   214,   551,   176,   193,   603,   154,   234,
     235,   236,   709,   710,   968,   182,   485,   543,   166,   248,
     690,   159,   186,   219,   277,   288,   391,   394,   445,   449,
     450,   482,   506,   510,   558,   843,   929,    48,   578,   695,
     151,   156,   157,   160,   164,   221,   224,   246,   566,   687,
     696,   697,   703,   725,   695,   695,   695,    49,    50,    82,
     112,   159,   160,   165,   170,   171,   172,   173,   183,   187,
     189,   233,   237,   246,   276,   277,   278,   279,   281,   285,
     303,   304,   306,   307,   310,   311,   326,   327,   331,   332,
     333,   340,   344,   347,   348,   350,   352,   356,   357,   368,
     376,   377,   566,   696,   828,   829,   836,   695,   695,    46,
     237,   401,   402,   403,   404,   429,   435,   438,   441,   566,
     687,   696,   847,   848,   849,   850,   851,   695,   184,   253,
     274,   446,   447,   448,   566,   696,   703,   890,   565,   119,
     161,   162,   166,   177,   186,   383,   566,   696,   698,   695,
     695,   695,   695,   234,   246,   344,   566,   696,   703,   960,
     961,   237,   289,   438,   510,   511,   555,   556,   557,   566,
     696,   703,   967,   990,   695,   695,   160,   556,   566,   696,
     993,    15,    20,    30,    32,   562,   568,   570,   668,   670,
     675,    33,   582,    33,    17,    18,   583,   584,   562,   141,
      31,   141,   677,    15,   565,   565,   562,   562,   562,   562,
     562,   562,   562,   105,   106,   107,   108,   658,   677,    15,
      16,    18,    19,    20,   562,   583,   584,   591,   653,   654,
     657,   659,   660,   661,   663,   665,   666,   140,   140,     3,
       8,     9,    10,    11,    12,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    36,    36,    39,   158,   565,   726,
       3,   726,    22,   604,   604,   783,   783,     3,    39,   158,
     565,   729,     3,    20,    22,   158,   784,     3,   268,     3,
     752,     3,   759,   287,   168,   195,   273,   299,    20,   160,
     273,   428,   443,   444,   748,   195,   273,   748,   158,     3,
       3,     3,     3,     3,     3,     3,     3,    82,   157,   498,
     541,   542,   543,   544,   545,   546,   974,   975,    15,   772,
     604,   842,   986,     3,   986,     3,     3,   485,   987,    25,
     648,   634,    92,   578,    20,    20,    15,    17,    20,    48,
     562,   684,   561,   726,   726,    15,    20,   562,   576,    38,
      39,    40,    41,   178,   576,   579,   729,   561,    22,   231,
     561,   540,   547,   603,   972,   238,   576,   577,   577,   578,
     565,   693,   395,   396,   892,   483,    20,    48,   565,   152,
     579,   726,   724,   165,   603,   603,   729,   247,   561,   565,
     701,   561,   561,   565,   565,   565,   238,   313,   325,   561,
      22,   316,   317,    47,   359,    47,   359,    47,   359,    47,
     359,   314,   603,   579,   360,   182,   247,   234,   330,   355,
     237,   579,   826,   561,   576,    17,    18,    20,   369,   580,
     821,   580,   820,   286,   251,   305,   312,   251,   303,   289,
     312,   328,   329,   328,   153,   579,   334,   341,   289,   289,
     349,   347,   240,   281,   316,   579,   358,   576,   370,   135,
     286,   561,   565,   834,   561,   565,   565,   442,   182,   684,
     579,   151,   576,   579,   152,   366,   579,   359,   846,   701,
     561,   565,   565,   579,   139,   140,    15,    48,   190,    15,
     161,   162,   561,   561,   576,   142,   143,   158,   163,   178,
     184,   645,   705,   178,   705,    20,   704,   178,   222,   166,
     561,   561,   565,   565,   565,   565,    18,    19,    20,   594,
     598,   247,   166,   561,   561,    81,   308,   337,   346,   507,
     508,   509,   958,   959,   565,   964,   182,   576,   353,   166,
     242,   579,   251,   579,   561,   561,   565,   565,   994,   998,
     251,   561,     7,   670,   670,   670,   677,    17,    18,   663,
     670,   670,    14,    15,    15,    33,   673,   677,    30,    31,
     141,    31,   623,   623,   704,   677,   677,   677,   677,   677,
     677,    15,   564,   563,   564,    32,   656,   658,   677,    30,
      31,   565,     7,   564,   569,   564,   569,    15,    15,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,    51,    52,    59,    85,    87,   111,   121,
     122,   124,   125,   126,   127,   128,   135,   136,   137,   139,
     140,    47,    49,    50,   170,   171,   172,   173,   174,   175,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   756,   167,   168,   169,   191,   192,   195,   727,   728,
       3,     3,     3,     3,   167,   225,   730,   731,     3,   784,
       3,     3,     3,   142,   154,   158,   161,   162,   166,   185,
     208,   209,   210,   212,   213,   215,   216,   217,   598,   645,
     755,     3,    75,   142,   154,   155,   166,   578,   748,   748,
     748,   748,   748,   748,   748,   887,   158,   748,   158,   748,
       3,   748,   748,     3,     3,   564,   566,     3,     3,     3,
     142,   166,   190,   645,     3,   987,   576,     3,   677,   562,
     641,   642,   643,   646,   561,   564,   564,   718,   719,   677,
     561,   677,   577,   561,   576,   232,   233,   370,   970,   576,
     971,   158,   565,   973,   576,    42,    43,    44,   692,   695,
      20,   684,   712,   715,   716,   579,   700,   702,   788,   807,
     251,   251,   580,   561,   576,   576,    82,   379,   561,   561,
     237,   361,   251,   354,   579,   579,   339,   579,   225,   561,
     561,   565,   743,   561,    20,   591,   597,    34,   581,    45,
     240,   365,   366,   561,   581,    45,   240,   561,   579,   576,
     251,   251,   576,   251,   579,   251,   579,   152,   579,   579,
     561,   579,   579,   579,   579,   579,   579,   367,   240,   579,
     561,   579,   561,   371,   603,   240,   579,   833,   835,   839,
     579,   251,   354,   579,   579,   178,   576,   579,   702,   852,
     577,   577,    15,    15,    20,   643,   644,   677,    39,   576,
     707,   185,   707,   707,   579,   704,   898,   932,   945,   579,
     704,    22,   580,   580,    47,   117,   277,   468,   958,   963,
     561,   579,   579,   576,   295,   576,   716,   717,   576,    15,
     563,   569,    48,    15,   563,   564,   141,    31,   624,   625,
     563,   564,   563,   564,   564,   564,   564,   563,   677,   677,
     564,     7,   564,   564,   563,    15,   562,   654,   661,   665,
     240,   240,   562,   564,   566,   564,   566,     3,   644,    20,
     166,   166,    20,   158,    17,    18,    19,    20,   583,   584,
     585,   586,   587,   753,   754,   598,    20,   757,     3,   604,
     604,   604,   604,   604,   604,     3,    20,    59,   151,   247,
     309,   401,   433,   434,   748,   604,   748,   604,   604,   604,
     975,   644,    22,   704,   603,     3,   561,   563,   640,   646,
     565,   639,   603,    20,   716,   561,   563,   563,    22,    43,
      44,    43,    44,   603,   603,   974,   561,   561,   139,   140,
     248,   249,   252,   566,   691,    31,   714,   564,   561,   157,
     566,   698,   699,    80,   160,   278,   279,   285,   566,   696,
     787,   160,   300,   566,   696,   703,   806,   576,   576,   561,
     561,   561,   579,   565,   579,   822,   182,   251,   576,   561,
     561,   561,   579,   561,   579,   742,   827,   821,   578,   821,
     576,   576,   820,   576,   576,   561,   561,   576,   576,   561,
     576,   561,   576,   561,   684,   561,   561,   561,   561,   561,
     561,   561,   561,   579,   561,   576,   561,   561,   576,   561,
     579,   561,    54,   130,   161,   162,   233,   235,   237,   335,
     344,   345,   351,   355,   364,   373,   375,   378,   566,   699,
     832,   142,   166,   254,   392,   393,   566,   645,   696,   838,
     576,   576,   160,   165,   268,   366,   403,   420,   422,   426,
     430,   431,   566,   853,   860,   863,   179,   706,   579,   561,
      86,   160,   470,   471,   474,   479,   566,   696,   703,   895,
     160,   429,   484,   566,   696,   703,   931,    45,   305,   338,
     339,   498,   503,   505,   566,   696,   703,   946,   948,   561,
     561,   581,    47,    15,   600,   601,   576,   579,   579,    20,
      76,    77,    78,    79,    80,    81,    82,    99,   102,   119,
     146,   148,   566,   674,   676,   678,   680,   785,   962,   178,
     989,   576,   565,   997,   670,   670,    18,   677,    31,    31,
     621,   622,   677,   677,   677,   677,   677,   564,   563,   564,
      32,   656,   677,   656,    32,   656,   656,   564,   677,    15,
      15,   677,   728,   731,    20,   757,   757,    48,    17,    18,
       3,     3,     3,     3,     3,     3,    15,   684,   684,   684,
     604,     3,   604,     3,     3,     3,   639,   649,   650,   651,
     680,   578,   563,   564,   566,   250,   250,   579,   579,   253,
     254,   561,    22,   604,   713,   715,   726,   561,   791,   792,
     798,   792,   799,   580,   803,   286,   561,   809,   814,   151,
     561,   564,   561,   561,    86,   223,   379,   381,   383,   384,
     387,   823,   824,   561,   354,   579,   576,   561,   561,   561,
     139,   189,   237,   241,   244,   245,   566,   741,   561,   561,
     561,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   297,   353,   166,   166,   360,   166,   182,   336,   166,
     159,   346,   579,    54,   579,   374,   579,   576,   579,   561,
     644,    22,   704,   576,   603,   130,   561,   872,   878,   375,
     405,   430,   579,   855,   375,   579,   854,   247,   597,   856,
     857,   432,   579,   561,   435,   873,   180,   181,   182,   183,
      20,   584,   596,   909,   914,   900,   908,   896,   897,   596,
     168,   561,   934,   940,   579,   576,   561,   576,   184,   947,
     140,   947,    20,   580,   603,   949,    61,   502,   950,   947,
     561,   601,    33,    25,   677,   679,   679,   562,   677,   677,
     677,    25,   562,   562,   561,    25,   679,    25,    36,   576,
     996,    33,    31,    45,    51,    52,    53,    54,    56,    57,
      58,    61,    63,    64,    69,    70,   566,   607,   608,   609,
     610,   611,   619,   566,   608,   609,   610,   611,   620,   564,
     563,   563,   563,   563,   677,   677,   563,   564,     7,   563,
     564,   563,   564,     7,   563,   564,   564,    15,   563,    18,
       3,     3,   578,   566,   650,   561,    15,   251,   251,   576,
     577,    17,    18,    20,   583,   584,   599,   159,   170,   171,
     278,   790,   717,   565,   797,    34,   280,   800,   579,   717,
     152,   576,   178,   390,   133,   382,   386,   385,   388,   389,
     564,   566,   561,   561,   561,   242,   243,   579,   243,   577,
     576,   561,   184,   309,   325,   242,   243,   579,   579,   579,
     237,   361,   704,   579,   309,   337,   338,   831,   704,   297,
     310,   716,   874,   576,   576,   579,   565,   576,   565,   684,
     565,   576,   576,   565,   565,   913,   717,   565,   580,   915,
     920,    22,   565,   921,   926,   579,   717,   178,   576,    63,
     576,   948,   951,   952,   576,    15,   677,   564,   561,   561,
     785,   561,   100,   565,   677,   681,   681,   677,   561,   677,
     130,   131,   134,   141,   142,   464,   566,   995,    15,    31,
      55,    59,    60,    62,     8,     9,    10,    25,    26,    27,
     103,   104,   576,   605,   612,   613,   614,    35,   615,   616,
     616,   618,    20,   583,   595,   561,   612,   615,   618,   596,
     561,   677,   563,   563,    32,   656,    32,   656,    32,   656,
       7,    32,   656,    32,   656,   566,   561,   563,   563,   577,
     577,   797,   796,   793,   578,   603,   281,   801,   565,   813,
     579,   561,   380,   271,   824,   244,   244,   244,   362,   363,
     579,   830,   830,   580,   182,   251,   579,   579,   875,   565,
     877,   865,   865,   858,   861,   912,   911,   565,   907,   916,
     922,   565,   939,   576,   579,   565,   561,   679,   563,   565,
     652,   680,   667,   561,   677,    20,   119,   676,   682,   785,
     561,   561,   562,   562,   562,   561,   562,   580,   561,     7,
     576,    11,    12,   606,   564,    12,   564,   606,   576,    65,
      66,    67,    68,   617,   564,   606,    71,   563,   563,   563,
     563,   564,     7,   563,   563,   563,   564,   562,   563,     7,
     563,   563,     7,   563,   793,   139,   187,   188,   189,   220,
     241,   244,   245,   282,   566,   732,   733,   735,   736,   737,
     794,   580,   278,   802,   812,   810,   577,   577,   577,   579,
     576,   873,   876,   566,   597,   866,   867,   566,   268,   375,
     421,   566,   859,   238,   282,   291,   406,   407,   408,   566,
     732,   862,   463,   464,   467,   468,   469,   566,   910,   906,
     905,   919,   925,   938,   935,   953,   561,   649,   101,     6,
      15,    16,   562,   566,   653,   655,   657,   659,   660,   662,
     664,   681,   681,   677,   677,   677,   677,   576,   614,   605,
     613,   616,   616,    33,   616,   616,    15,    32,   656,    32,
     656,   656,     7,   656,   242,   243,   579,   565,   243,   577,
     576,   163,   197,   283,   284,   795,    23,   603,   565,   740,
     561,   579,    45,    54,    59,   178,   242,   243,   246,   282,
     290,   291,   292,   566,   732,   811,    59,   238,   242,   243,
     246,   247,   273,   277,   282,   285,   291,   296,   348,   375,
     403,   406,   407,   408,   414,   419,   429,   436,   566,   732,
     864,   421,   427,   868,   579,   576,   579,   561,   576,   163,
     283,   417,   576,   576,   312,   210,   576,   561,   466,   466,
     579,   579,   579,   561,    86,   139,   140,   165,   234,   247,
     452,   454,   455,   459,   460,   462,   470,   471,   566,   901,
     466,   472,   566,   917,   466,   473,   566,   923,    45,   189,
     242,   243,   246,   277,   282,   289,   292,   325,   348,   406,
     429,   448,   485,   486,   487,   488,   490,   494,   566,   732,
     936,   498,   499,   504,   566,   954,   566,   652,   649,   677,
       7,   564,   567,   563,   564,   563,   563,   563,   563,   576,
     576,   576,   576,   617,   617,   563,   563,   563,   564,   563,
     562,   563,   244,   244,   734,   735,   244,   199,   200,   197,
      48,    80,   152,   190,   196,   218,   738,   576,   297,   293,
     294,   576,   295,    63,    64,   229,   296,   720,   247,   163,
     301,   576,   244,   244,   561,   409,   410,   411,   412,   413,
     414,   415,   416,   576,   295,    63,   296,   720,   247,   439,
     565,   579,   163,   283,   417,   411,   576,   576,   349,   576,
     579,   576,   312,   210,   576,   325,   437,   576,   117,   409,
     561,   576,   561,   576,   576,   576,   576,   457,   914,   312,
     451,   451,   119,   466,   119,   457,   466,   458,   451,   579,
     456,   251,   461,   297,   281,   902,   281,   903,   561,   465,
     576,   927,   915,   918,   561,   927,   921,   924,   561,   576,
     579,   295,    63,   296,   720,   247,   492,   579,   163,   199,
     417,   493,   937,   576,   251,   580,   349,   251,   117,   359,
     409,   251,   251,   423,   576,   489,   491,   495,   561,   501,
     500,   603,   955,   561,   563,   562,   655,   662,   649,   561,
     677,   561,   561,   561,   561,    33,    33,   656,   656,   577,
     577,   566,   561,   577,   199,   200,    22,   602,    48,   190,
     576,   602,   197,   198,   204,   205,   206,   207,   739,    48,
     190,   566,   170,   171,   576,   576,   576,   576,   576,   579,
     302,   577,   577,   424,   425,   576,   576,   576,   579,   440,
     869,   579,   243,   579,   576,   576,   579,   579,   576,   579,
     475,   928,   928,   251,   576,   244,   244,   476,   477,   478,
     904,   576,   904,   251,   576,   576,   453,   579,   576,   576,
     178,   579,   920,   579,   926,   576,   576,   576,   576,   579,
     579,   576,   243,   579,   577,   576,   576,   576,   579,   579,
     579,   579,   188,   188,   677,   563,   576,   576,   563,   564,
     734,   561,   602,   602,   561,   561,   199,   200,   201,   202,
     203,   199,   200,   201,   202,   203,   561,   602,   602,   740,
     580,   580,   579,   566,   580,   871,   423,   579,   576,   576,
     576,   928,   576,   928,   579,   576,   423,   603,   603,   561,
     656,   738,   561,   561,   738,   738,   738,   561,   561,   418,
     870,   564,   738,   738,   738,   738,   561,   656,   563
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   571,   572,   572,   573,   573,   574,   574,   575,   576,
     576,   576,   577,   577,   577,   578,   578,   579,   579,   579,
     579,   579,   579,   580,   580,   580,   581,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   591,   592,
     592,   593,   593,   594,   594,   594,   594,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   599,   599,
     599,   599,   600,   601,   601,   602,   603,   603,   604,   604,
     605,   605,   605,   605,   605,   605,   605,   605,   606,   606,
     607,   607,   607,   607,   607,   607,   607,   607,   607,   607,
     608,   609,   610,   611,   611,   612,   612,   612,   612,   613,
     613,   614,   614,   615,   615,   615,   616,   616,   617,   617,
     617,   617,   618,   618,   618,   619,   619,   619,   619,   620,
     620,   620,   620,   620,   621,   621,   622,   622,   623,   624,
     625,   626,   627,   628,   628,   629,   630,   629,   631,   629,
     632,   574,   634,   633,   574,   635,   574,   636,   574,   637,
     574,   638,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   639,   639,   639,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   644,   644,   645,   646,   574,
     648,   647,   649,   649,   650,   651,   651,   652,   652,   653,
     653,   654,   654,   654,   654,   654,   654,   655,   655,   655,
     655,   656,   657,   657,   657,   657,   657,   657,   657,   657,
     657,   657,   658,   658,   658,   658,   659,   659,   659,   660,
     660,   660,   660,   660,   660,   660,   660,   661,   661,   661,
     661,   661,   662,   662,   662,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   665,   666,   666,   667,   667,   667,
     668,   668,   669,   670,   670,   670,   670,   670,   670,   670,
     670,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   672,   672,   672,   672,   673,   673,   673,   674,   675,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   678,   678,   678,   679,   679,   679,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     681,   682,   682,   682,   682,   574,   683,   683,   684,   684,
     684,   684,   574,   685,   574,   686,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   574,   688,   689,   690,
     690,   691,   691,   691,   691,   691,   691,   692,   692,   693,
     693,   574,   694,   694,   695,   695,   695,   695,   696,   696,
     696,   696,   696,   696,   696,   696,   697,   698,   698,   698,
     698,   698,   698,   698,   698,   698,   699,   699,   700,   700,
     701,   701,   702,   703,   704,   705,   705,   705,   705,   706,
     706,   706,   706,   706,   707,   707,   574,   708,   708,   708,
     574,   709,   709,   709,   709,   710,   710,   710,   710,   710,
     710,   710,   710,   711,   712,   713,   713,   714,   714,   715,
     716,   716,   717,   718,   719,   720,   720,   721,   722,   723,
     723,   723,   723,   723,   724,   725,   726,   726,   726,   727,
     727,   728,   728,   728,   728,   728,   728,   729,   729,   729,
     730,   730,   731,   731,   732,   733,   733,   734,   734,   735,
     735,   736,   736,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   739,   739,   739,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   740,   741,
     741,   741,   741,   741,   741,   741,   742,   742,   743,   629,
     744,   629,   745,   629,   746,   629,   747,   748,   748,   629,
     749,   629,   750,   629,   751,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   753,   753,   753,   753,   753,
     753,   754,   754,   754,   754,   755,   755,   755,   755,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   757,
     629,   758,   759,   759,   759,   759,   759,   759,   759,   629,
     760,   629,   761,   629,   762,   629,   763,   629,   764,   629,
     765,   629,   766,   629,   767,   629,   768,   629,   769,   629,
     770,   771,   771,   771,   772,   772,   629,   773,   629,   774,
     629,   775,   629,   776,   629,   777,   629,   778,   629,   779,
     780,   780,   629,   781,   629,   782,   783,   783,   783,   784,
     784,   784,   785,   721,   786,   787,   787,   787,   787,   787,
     787,   788,   788,   789,   790,   790,   790,   790,   791,   791,
     792,   793,   794,   794,   794,   794,   794,   794,   794,   794,
     795,   795,   795,   795,   795,   795,   796,   796,   797,   797,
     798,   799,   800,   800,   800,   801,   801,   802,   802,   803,
     629,   804,   721,   805,   806,   806,   806,   806,   807,   807,
     808,   809,   810,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   812,   812,   813,   813,   814,   785,   629,   815,
     629,   816,   629,   817,   629,   818,   721,   819,   820,   820,
     820,   821,   821,   821,   821,   821,   822,   822,   823,   823,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   826,   827,   825,   825,   828,   828,   828,   828,   828,
     828,   828,   828,   828,   828,   828,   828,   829,   830,   830,
     830,   831,   831,   831,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   833,   833,
     834,   834,   835,   836,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   721,   837,   838,
     838,   838,   838,   838,   838,   838,   838,   839,   839,   840,
     629,   841,   842,   842,   842,   842,   842,   842,   721,   843,
     843,   843,   844,   845,   845,   846,   846,   847,   848,   849,
     849,   849,   849,   849,   849,   849,   849,   849,   849,   849,
     849,   849,   849,   849,   850,   851,   852,   852,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   854,   853,   855,
     853,   853,   853,   853,   856,   856,   857,   858,   858,   859,
     859,   859,   860,   860,   861,   861,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   863,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   865,   865,   866,
     867,   868,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   873,   875,   874,   876,   876,   877,   877,   878,   785,
     785,   785,   785,   629,   879,   629,   880,   629,   881,   629,
     882,   629,   883,   629,   884,   629,   885,   629,   886,   887,
     887,   887,   887,   887,   887,   887,   887,   887,   721,   888,
     889,   889,   889,   890,   890,   890,   890,   890,   890,   890,
     890,   890,   890,   721,   892,   891,   893,   893,   893,   893,
     721,   894,   895,   895,   895,   895,   896,   895,   897,   895,
     895,   895,   898,   898,   899,   900,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   902,   901,   903,   901,   901,   901,   904,
     904,   904,   905,   906,   906,   907,   907,   908,   909,   910,
     910,   910,   910,   910,   911,   912,   912,   913,   913,   914,
     915,   916,   917,   917,   917,   918,   919,   919,   920,   920,
     921,   922,   923,   923,   923,   924,   925,   925,   926,   926,
     927,   927,   928,   928,   785,   785,   721,   929,   929,   930,
     931,   931,   931,   931,   931,   931,   932,   932,   933,   934,
     935,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   937,   937,
     937,   937,   938,   938,   939,   939,   940,   785,   785,   629,
     941,   629,   942,   721,   943,   944,   945,   945,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   947,   947,
     948,   949,   949,   950,   950,   951,   952,   953,   953,   954,
     954,   954,   955,   721,   956,   957,   957,   957,   957,   957,
     957,   958,   958,   958,   958,   958,   958,   959,   959,   960,
     961,   961,   961,   961,   961,   961,   961,   961,   961,   962,
     963,   963,   964,   964,   629,   965,   966,   967,   967,   967,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   574,   968,
     969,   970,   970,   971,   971,   972,   972,   972,   973,   973,
     974,   974,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   574,   976,   976,   574,   977,   977,   977,   977,   629,
     978,   629,   979,   629,   980,   629,   981,   629,   982,   629,
     983,   629,   984,   629,   985,   986,   986,   987,   987,   987,
     721,   988,   966,   966,   989,   989,   990,   990,   990,   990,
     990,   990,   990,   721,   991,   992,   992,   993,   993,   993,
     994,   995,   996,   996,   997,   997,   998,   785,   785
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     4,     1,     3,     1,
       3,     1,     3,     4,     6,     6,     0,     1,     1,     1,
       1,     1,     2,     4,     4,     2,     2,     2,     2,     2,
       4,     2,     2,     2,     0,     3,     0,     3,     0,     0,
       0,     6,     6,     1,     1,     1,     2,     1,     2,     1,
       2,     1,     0,     4,     1,     2,     1,     4,     1,     6,
       1,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
       2,     5,     0,     4,     1,     1,     1,     2,     4,     1,
       0,     5,     0,     1,     1,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     5,     7,     5,     7,     9,     7,     5,     7,
       5,    11,     1,     1,     2,     1,     7,     9,     7,     7,
       9,     7,     9,     7,     9,     7,    15,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     3,     1,     3,     1,
       3,     1,     2,     2,     6,     1,     3,     0,     4,     3,
       1,     3,     3,     2,     4,     4,     2,     2,     2,     2,
       0,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     5,     7,     7,     1,     0,     1,     3,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     6,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     1,     1,     0,     1,     3,
       4,     6,     4,     3,     4,     4,     4,     5,     3,     3,
       3,     2,     5,     4,     7,     7,     7,     7,     7,     9,
       0,     1,     1,     1,     1,     1,     4,     5,     1,     3,
       1,     1,     1,     3,     1,     5,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     0,
       1,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     2,     4,     3,     4,     4,
       3,     4,     4,     3,     0,     1,     2,     0,     1,     3,
       1,     3,     1,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     5,     0,     3,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     1,     1,     1,     4,     1,     0,     3,     5,
       2,     1,     1,     2,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     2,
       4,     4,     4,     2,     2,     1,     0,     3,     3,     1,
       3,     1,     3,     1,     4,     1,     5,     1,     0,     1,
       3,     1,     4,     1,     4,     0,     2,     3,     3,     3,
       3,     4,     4,     3,     2,     2,     2,     2,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     4,     0,     2,     2,     2,     2,     2,     2,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     4,     1,     3,     1,
       4,     1,     1,     3,     0,     1,     1,     4,     1,     4,
       1,     4,     1,     3,     1,     4,     1,     4,     1,     3,
       2,     2,     1,     4,     1,     2,     1,     1,     1,     1,
       0,     1,     1,     1,     2,     1,     2,     2,     2,     2,
       3,     0,     3,     5,     1,     1,     1,     1,     0,     2,
       0,     0,     2,     4,     4,     4,     2,     2,     2,     1,
       1,     1,     2,     2,     3,     3,     0,     3,     0,     3,
       4,     3,     0,     2,     2,     0,     2,     0,     2,     4,
       1,     5,     1,     2,     1,     1,     2,     4,     0,     3,
       5,     0,     0,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     2,     3,     3,     4,     4,     2,     2,
       3,     1,     0,     3,     0,     3,     4,     1,     1,     6,
       1,     6,     1,     6,     1,     6,     2,     2,     0,     3,
       3,     0,     3,     3,     2,     2,     1,     3,     1,     3,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     4,     6,     4,     6,     6,     4,     6,     5,
       5,     4,     5,     5,     6,     3,     3,     4,     5,     6,
       5,     5,     5,     5,     5,     5,     5,     5,     5,     5,
       6,     6,     6,     5,     6,     8,     6,     6,     6,     5,
       6,     5,     4,     4,     4,     4,     5,     5,     6,     5,
       6,     5,     5,     6,     7,     7,     7,     5,     5,     4,
       4,     0,     0,     6,     6,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     2,     3,
       2,     2,     2,     2,     3,     5,     5,     4,     3,     3,
       3,     3,     3,     2,     2,     2,     3,     3,     0,     3,
       0,     3,     0,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     3,     3,     4,     2,     4,
       3,     2,     3,     1,     2,     4,     0,     3,     2,     1,
       2,     3,     3,     3,     3,     2,     3,     0,     5,     0,
       5,     2,     2,     1,     4,     1,     1,     0,     3,     2,
       2,     2,     5,     2,     0,     3,     0,     2,     2,     3,
       2,     2,     3,     2,     2,     2,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       3,     3,     4,     4,     2,     2,     2,     3,     3,     3,
       2,     3,     3,     3,     4,     2,     1,     0,     2,     3,
       1,     0,     1,     2,     0,     2,     0,     1,     3,     0,
       0,     2,     0,     3,     0,     3,     0,     3,     3,     1,
       1,     1,     1,     1,     4,     1,     6,     1,     6,     1,
       6,     1,     7,     1,     6,     1,     7,     1,     5,     0,
       2,     3,     2,     3,     3,     2,     3,     2,     2,     2,
       3,     3,     3,     1,     3,     3,     2,     3,     3,     2,
       2,     2,     2,     2,     0,     4,     2,     3,     3,     5,
       1,     2,     1,     1,     2,     2,     0,     3,     0,     3,
       2,     3,     0,     3,     5,     0,     4,     4,     3,     4,
       2,     3,     3,     3,     3,     4,     4,     4,     3,     3,
       4,     4,     2,     0,     3,     0,     3,     3,     3,     1,
       1,     1,     0,     0,     3,     0,     3,     4,     1,     2,
       2,     2,     4,     4,     0,     0,     3,     0,     3,     3,
       1,     0,     0,     2,     2,     0,     0,     3,     1,     5,
       1,     0,     0,     2,     2,     0,     0,     3,     1,     5,
       1,     2,     0,     2,     1,     1,     1,     1,     2,     2,
       1,     1,     2,     4,     2,     2,     0,     3,     5,     0,
       0,     2,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     4,     3,     2,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     3,     4,     1,     1,     1,
       6,     1,     6,     1,     2,     5,     0,     3,     1,     1,
       2,     3,     1,     2,     3,     3,     3,     4,     0,     1,
       2,     1,     1,     2,     6,     0,     0,     0,     3,     4,
       4,     2,     0,     2,     2,     3,     3,     3,     5,     5,
       4,     3,     2,     3,     3,     3,     3,     1,     2,     2,
       2,     3,     5,     1,     2,     2,     2,     2,     2,     1,
       0,     2,     0,     3,     1,     4,     3,     3,     2,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     2,     0,     0,     2,     2,     2,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     0,     1,     0,     1,     2,
       2,     2,     3,     3,     0,     2,     1,     1,     2,     3,
       2,     3,     4,     2,     2,     3,     3,     1,     2,     3,
       0,     2,     0,     3,     0,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 136 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 137 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 153 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 5928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 162 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 5934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 163 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 169 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 170 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 171 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 179 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 183 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 184 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 191 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 192 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 200 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 6023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 201 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 208 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 215 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 225 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 238 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 257 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 263 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 269 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 277 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 285 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 295 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 308 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 317 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 326 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 335 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 345 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 346 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 347 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 358 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 64:
#line 366 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 375 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6240 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 384 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 392 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 6255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 6261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 6267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 95:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 96:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 6476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 6482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 6488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 6494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 6500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 6506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 119:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 120:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 6576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 6582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 132:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 319 "filter/config.Y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 320 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 331 "filter/config.Y" /* yacc.c:1646  */
    { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 335 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 149:
#line 341 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 354 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 368 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 6668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 369 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 6674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 370 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 6680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 371 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 6686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 372 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 6692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 373 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 6698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 374 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 6704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 375 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 6710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 376 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 6716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 377 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 6722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 378 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 6728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 379 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 6734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 380 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 6740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 381 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 6746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 382 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 6752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 167:
#line 383 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 6777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 407 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 6786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 414 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 415 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 6801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 422 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 423 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 6816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 432 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 6825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 436 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 6835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 444 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 6844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 178:
#line 451 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 6853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 462 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 6873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 472 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 473 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 6885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 476 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 6896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 485 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 6912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 499 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 502 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 511 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 512 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 525 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 526 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 527 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 529 "filter/config.Y" /* yacc.c:1646  */
    {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 533 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 6983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 541 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 542 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 543 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 7001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 544 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 548 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 7013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 551 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 552 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 553 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 554 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 555 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 556 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 557 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 558 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 559 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 561 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 7079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 566 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 7085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 567 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 7091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 568 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 7097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 572 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 217:
#line 573 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 574 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 578 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 579 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 580 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 581 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 582 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 584 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 226:
#line 586 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 593 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 231:
#line 594 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 601 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 607 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 612 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 616 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 617 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 618 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 619 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 628 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 631 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 7245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 632 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 640 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 650 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 651 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 655 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 659 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 660 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 661 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 665 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 666 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 667 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 669 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 673 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 675 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 677 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 685 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 686 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 690 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 691 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 692 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 700 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 703 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 728 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 746 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 747 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 748 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 749 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 750 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 751 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 753 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 754 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 755 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 7552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 756 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 7558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 760 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 761 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 762 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 763 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 764 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 765 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 766 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 767 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 768 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 769 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 770 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 771 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 772 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 773 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 775 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 776 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 780 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 782 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 784 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 790 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 792 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 7738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 795 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 7744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 796 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 7750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 797 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 7762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 7768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 7774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 7780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 7786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 7792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 7798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 805 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 7804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 7810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 816 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 7816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 820 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 821 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 822 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 824 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 7858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 825 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 7864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 7870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 835 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 7876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 836 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 7882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 837 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 7888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 840 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 842 "filter/config.Y" /* yacc.c:1646  */
    {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 7911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 851 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 7919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 854 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 7927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 857 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 7944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 869 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 7953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 873 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 7961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 7971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 7979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 7987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 902 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 905 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 8034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 913 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 8084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 371:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 8096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 162 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 8114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 163 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 8120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 167 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 8126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 168 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 8132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 169 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 170 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 182 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 8157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 385:
#line 186 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 8163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 192 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 8169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 193 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 8175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 194 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 8181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 195 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 8187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 196 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 8193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 8199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 198 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 8205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 199 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 8211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 8217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 8223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 213 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 220 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 8237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 224 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 8243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 225 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 230 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 8259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 8265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 8271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 411:
#line 249 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 8283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 252 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 8289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 413:
#line 253 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 8295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 414:
#line 257 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 263 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 267 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 277 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 8349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 290 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 8355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 291 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 8361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 292 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 8367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 293 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 294 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 295 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 300 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 428:
#line 310 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 8409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 311 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 8415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 312 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 313 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 8427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 432:
#line 314 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 8433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 315 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 316 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 317 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 8451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 8457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 337 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 444:
#line 347 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 445:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 8480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 352 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 8486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 353 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 8492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 357 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 358 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 8504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 8510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 452:
#line 360 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 8516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 453:
#line 361 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 8522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 455:
#line 366 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 8534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 374 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 8546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 459:
#line 375 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 8552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 461:
#line 383 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 8558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 384 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 8564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 8570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 386 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 8576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 390 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 391 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 392 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 393 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 394 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 395 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 396 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 397 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 408 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 416 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 417 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 8652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 422 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 8658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 436 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 8664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 438 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 450 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 451 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 488:
#line 458 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 469 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 473 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 487 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 489 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 498 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 8741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 499 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 8747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 500 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 8753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 501 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 8759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 8765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 503 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 8771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 509 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 510 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 516 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 520 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 8801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 521 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 8807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 548 "nest/config.Y" /* yacc.c:1646  */
    { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 8813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 524:
#line 549 "nest/config.Y" /* yacc.c:1646  */
    { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 8819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 553 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 8825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 554 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 8831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 555 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 8837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 528:
#line 556 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 8843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 557 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 8849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 558 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 8855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 559 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 560 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 8867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 533:
#line 561 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 565 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 8879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 566 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 8885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 567 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 8891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 568 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 8897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 569 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 8903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 8939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 8945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 577 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 8951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 578 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 8957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 582 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 8965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 8971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 8977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 8983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 8989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 594 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 8995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 596 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 612 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 9013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 615 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 9019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 618 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 621 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 624 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 625 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 9043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 629 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 9049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 632 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 9055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 636 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 9061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 639 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 645 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 651 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 657 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 664 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 670 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 677 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 687 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 692 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 697 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 701 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 719 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 726 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 735 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 739 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 746 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 753 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 757 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 761 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 765 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 781 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 782 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 785 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 9325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 786 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 9331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 787 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 9337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 788 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 9343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 793 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 9349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 9355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 795 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 9361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 796 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 9367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 797 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 9373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 798 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 9379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 9385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 800 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 9391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 801 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 9397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 802 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 9403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 803 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 9409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 804 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 9415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 805 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 9421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 9427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 807 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 9433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 808 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 9439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 809 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 9445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 810 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 9451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 811 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 9457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 812 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 9463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 9475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 827 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 9481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 830 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 833 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 834 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 835 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 836 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 837 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 838 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 844 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 846 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 848 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 850 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 852 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 854 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 856 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 858 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 860 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 863 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 866 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 872 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 873 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 874 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 878 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 9618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 879 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 886 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 888 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 892 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 894 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 900 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 9669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 9675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 904 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 9681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 909 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 912 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 915 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 688:
#line 917 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 921 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 922 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 923 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 926 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 38 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 9747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 52 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 9753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 65 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 9759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 66 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 9765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 9771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 9777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 72 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 80 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 9803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 94 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 9826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 114 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 115 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 9838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 9844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 9850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 9856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 9862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 9868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 9874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 125 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 9880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 126 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 9886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 9892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 9898 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 9904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 9910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 9916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 152 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 9922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 153 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 9928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 9934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 158 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 9940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 159 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 9946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 163 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 164 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 168 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 9978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 187 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 9984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 35 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 45 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 58 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 10018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 74 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 132 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 133 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 134 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 135 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 136 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 137 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 138 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 139 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 140 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 141 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 142 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 143 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 144 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 145 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 171 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 174 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 177 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 180 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 49 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 82 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 83 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 88 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 89 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 90 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 91 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 96 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 97 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 102 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 10304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 107 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 10310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 108 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 10316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 10322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 10328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 10334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 112 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 10340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 113 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 10346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 10352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 127 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 133 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 141 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 142 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 10426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 147 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 148 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 10438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 149 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 10444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 150 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 151 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 10478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 10598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 10610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 10634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 10652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 10706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 10712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 10718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 10724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 10730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 10736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 10742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 10766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 10772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 10778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 10784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 10790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 10796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 10802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 10830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 243 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 244 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 10842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 245 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 10848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 251 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 10854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 252 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 10860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 253 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 10866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 254 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 10872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 255 "proto/bgp/config.Y" /* yacc.c:1646  */
    { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 10878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 256 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 10884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 257 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 10890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 258 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 10896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 259 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 10906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 264 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 10912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 265 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 10918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 266 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 10924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 267 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 10930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 268 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 10936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 269 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 10942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 270 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 10948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 271 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 10954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 10960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 273 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 10966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 274 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 10972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 275 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 10978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 276 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 10994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 310 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 321 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 323 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 325 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 327 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 329 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 331 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 333 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 335 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 337 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 339 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 341 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 343 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 345 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 11124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 11130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 11136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 11142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 11154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 11160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 211 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 11202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 220 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 11238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 240 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 246 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 11262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 258 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 11274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 972:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 11280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 11286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 274 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 289 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 11364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 298 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 11376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 11382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 11388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 993:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 11400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 11412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 11418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 11424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 11430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 320 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 11441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 334 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 11447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 11453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 11459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 340 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 350 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 363 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 381 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 11653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 11719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 11761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 430 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 11777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 439 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 11783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 11789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 449 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 454 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 11812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 463 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 11837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 487 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 491 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 11849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 505 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 11855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 508 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 11861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 11867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 11873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 515 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 11885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 518 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 11891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 521 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 11897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 526 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 11903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 529 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 11909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 534 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 11915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 537 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 11921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 541 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 11932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 549 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 11940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 552 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 11946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 553 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 11952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 554 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 11958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 555 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 11964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 556 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 11970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 557 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 11976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 11982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 559 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 11988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 12016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 12022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 12052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 12070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 47 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 63 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 63 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 64 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 65 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 78 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 101 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 102 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 103 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 104 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 105 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 106 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 107 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 12221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 108 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 12227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 109 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 12233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 110 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 12239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 111 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 12264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 12270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 12276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 12282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 12288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 125 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 126 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 12306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 126 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 127 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 12330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 12336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 12342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 12383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 190 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 12397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 201 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 12403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 202 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 12409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 203 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 12415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 208 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 12445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 239 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 248 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 255 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 12472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 259 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 283 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 295 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 302 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 306 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 330 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 331 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 335 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 12552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 336 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 339 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 340 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 54 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 85 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 12644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 110 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 12752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 12764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 12770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 12776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 12788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 12800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 12806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 12812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 12818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 12824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 12836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 12842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 173 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 12848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 12854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 12866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 193 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 12872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 12878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 199 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 12884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 202 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 12890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 12901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 12907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 64 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 12918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 12929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 12940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 82 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 12946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 86 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 90 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 12964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 93 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 12973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 97 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 12986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 113 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 12996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 120 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 136 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 137 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 138 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 142 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 66 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 75 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 13077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 79 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 84 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 89 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 99 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 109 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 122 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 126 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 131 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 13169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 13175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 13181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 134 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 13187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 135 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 13193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 136 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 13199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 140 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 161 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 13223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 27 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 13229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 28 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 13235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 13241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 32 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 13247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 13253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 13259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 13265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 13271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 13277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 13283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 13289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 13295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 13385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 13391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 62 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 13397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 13403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 33 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 13409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 35 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 13418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 13424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 43 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 13430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 48 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 13436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 52 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 13451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 62 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 13457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 63 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 13463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 67 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 13469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 68 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 13475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 72 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 13481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 73 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 13487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 13493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 13499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 13505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 13511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 13517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 13523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 83 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 13529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 84 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 13535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 13541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 92 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 93 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 13560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 13566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 13572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 109 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 110 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 119 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 122 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 13602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 13608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 13614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 138 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 13620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 141 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 13626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 146 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 13632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 150 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 13638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 155 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 156 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 13650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 157 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 13688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 13758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 13764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 13770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 13774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 50 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 396 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 929 "nest/config.Y"
/* C Code from nest/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 182 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 351 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

